File: changelog

package info (click to toggle)
gimp 2.6.10-1+squeeze4
  • links: PTS, VCS
  • area: main
  • in suites: squeeze
  • size: 128,948 kB
  • ctags: 55,327
  • sloc: ansic: 635,142; lisp: 10,678; sh: 10,420; makefile: 9,729; python: 3,366; perl: 2,713; xml: 1,152; yacc: 554; lex: 339
file content (2328 lines) | stat: -rw-r--r-- 81,242 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
919
920
921
922
923
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
940
941
942
943
944
945
946
947
948
949
950
951
952
953
954
955
956
957
958
959
960
961
962
963
964
965
966
967
968
969
970
971
972
973
974
975
976
977
978
979
980
981
982
983
984
985
986
987
988
989
990
991
992
993
994
995
996
997
998
999
1000
1001
1002
1003
1004
1005
1006
1007
1008
1009
1010
1011
1012
1013
1014
1015
1016
1017
1018
1019
1020
1021
1022
1023
1024
1025
1026
1027
1028
1029
1030
1031
1032
1033
1034
1035
1036
1037
1038
1039
1040
1041
1042
1043
1044
1045
1046
1047
1048
1049
1050
1051
1052
1053
1054
1055
1056
1057
1058
1059
1060
1061
1062
1063
1064
1065
1066
1067
1068
1069
1070
1071
1072
1073
1074
1075
1076
1077
1078
1079
1080
1081
1082
1083
1084
1085
1086
1087
1088
1089
1090
1091
1092
1093
1094
1095
1096
1097
1098
1099
1100
1101
1102
1103
1104
1105
1106
1107
1108
1109
1110
1111
1112
1113
1114
1115
1116
1117
1118
1119
1120
1121
1122
1123
1124
1125
1126
1127
1128
1129
1130
1131
1132
1133
1134
1135
1136
1137
1138
1139
1140
1141
1142
1143
1144
1145
1146
1147
1148
1149
1150
1151
1152
1153
1154
1155
1156
1157
1158
1159
1160
1161
1162
1163
1164
1165
1166
1167
1168
1169
1170
1171
1172
1173
1174
1175
1176
1177
1178
1179
1180
1181
1182
1183
1184
1185
1186
1187
1188
1189
1190
1191
1192
1193
1194
1195
1196
1197
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219
1220
1221
1222
1223
1224
1225
1226
1227
1228
1229
1230
1231
1232
1233
1234
1235
1236
1237
1238
1239
1240
1241
1242
1243
1244
1245
1246
1247
1248
1249
1250
1251
1252
1253
1254
1255
1256
1257
1258
1259
1260
1261
1262
1263
1264
1265
1266
1267
1268
1269
1270
1271
1272
1273
1274
1275
1276
1277
1278
1279
1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
1301
1302
1303
1304
1305
1306
1307
1308
1309
1310
1311
1312
1313
1314
1315
1316
1317
1318
1319
1320
1321
1322
1323
1324
1325
1326
1327
1328
1329
1330
1331
1332
1333
1334
1335
1336
1337
1338
1339
1340
1341
1342
1343
1344
1345
1346
1347
1348
1349
1350
1351
1352
1353
1354
1355
1356
1357
1358
1359
1360
1361
1362
1363
1364
1365
1366
1367
1368
1369
1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
1380
1381
1382
1383
1384
1385
1386
1387
1388
1389
1390
1391
1392
1393
1394
1395
1396
1397
1398
1399
1400
1401
1402
1403
1404
1405
1406
1407
1408
1409
1410
1411
1412
1413
1414
1415
1416
1417
1418
1419
1420
1421
1422
1423
1424
1425
1426
1427
1428
1429
1430
1431
1432
1433
1434
1435
1436
1437
1438
1439
1440
1441
1442
1443
1444
1445
1446
1447
1448
1449
1450
1451
1452
1453
1454
1455
1456
1457
1458
1459
1460
1461
1462
1463
1464
1465
1466
1467
1468
1469
1470
1471
1472
1473
1474
1475
1476
1477
1478
1479
1480
1481
1482
1483
1484
1485
1486
1487
1488
1489
1490
1491
1492
1493
1494
1495
1496
1497
1498
1499
1500
1501
1502
1503
1504
1505
1506
1507
1508
1509
1510
1511
1512
1513
1514
1515
1516
1517
1518
1519
1520
1521
1522
1523
1524
1525
1526
1527
1528
1529
1530
1531
1532
1533
1534
1535
1536
1537
1538
1539
1540
1541
1542
1543
1544
1545
1546
1547
1548
1549
1550
1551
1552
1553
1554
1555
1556
1557
1558
1559
1560
1561
1562
1563
1564
1565
1566
1567
1568
1569
1570
1571
1572
1573
1574
1575
1576
1577
1578
1579
1580
1581
1582
1583
1584
1585
1586
1587
1588
1589
1590
1591
1592
1593
1594
1595
1596
1597
1598
1599
1600
1601
1602
1603
1604
1605
1606
1607
1608
1609
1610
1611
1612
1613
1614
1615
1616
1617
1618
1619
1620
1621
1622
1623
1624
1625
1626
1627
1628
1629
1630
1631
1632
1633
1634
1635
1636
1637
1638
1639
1640
1641
1642
1643
1644
1645
1646
1647
1648
1649
1650
1651
1652
1653
1654
1655
1656
1657
1658
1659
1660
1661
1662
1663
1664
1665
1666
1667
1668
1669
1670
1671
1672
1673
1674
1675
1676
1677
1678
1679
1680
1681
1682
1683
1684
1685
1686
1687
1688
1689
1690
1691
1692
1693
1694
1695
1696
1697
1698
1699
1700
1701
1702
1703
1704
1705
1706
1707
1708
1709
1710
1711
1712
1713
1714
1715
1716
1717
1718
1719
1720
1721
1722
1723
1724
1725
1726
1727
1728
1729
1730
1731
1732
1733
1734
1735
1736
1737
1738
1739
1740
1741
1742
1743
1744
1745
1746
1747
1748
1749
1750
1751
1752
1753
1754
1755
1756
1757
1758
1759
1760
1761
1762
1763
1764
1765
1766
1767
1768
1769
1770
1771
1772
1773
1774
1775
1776
1777
1778
1779
1780
1781
1782
1783
1784
1785
1786
1787
1788
1789
1790
1791
1792
1793
1794
1795
1796
1797
1798
1799
1800
1801
1802
1803
1804
1805
1806
1807
1808
1809
1810
1811
1812
1813
1814
1815
1816
1817
1818
1819
1820
1821
1822
1823
1824
1825
1826
1827
1828
1829
1830
1831
1832
1833
1834
1835
1836
1837
1838
1839
1840
1841
1842
1843
1844
1845
1846
1847
1848
1849
1850
1851
1852
1853
1854
1855
1856
1857
1858
1859
1860
1861
1862
1863
1864
1865
1866
1867
1868
1869
1870
1871
1872
1873
1874
1875
1876
1877
1878
1879
1880
1881
1882
1883
1884
1885
1886
1887
1888
1889
1890
1891
1892
1893
1894
1895
1896
1897
1898
1899
1900
1901
1902
1903
1904
1905
1906
1907
1908
1909
1910
1911
1912
1913
1914
1915
1916
1917
1918
1919
1920
1921
1922
1923
1924
1925
1926
1927
1928
1929
1930
1931
1932
1933
1934
1935
1936
1937
1938
1939
1940
1941
1942
1943
1944
1945
1946
1947
1948
1949
1950
1951
1952
1953
1954
1955
1956
1957
1958
1959
1960
1961
1962
1963
1964
1965
1966
1967
1968
1969
1970
1971
1972
1973
1974
1975
1976
1977
1978
1979
1980
1981
1982
1983
1984
1985
1986
1987
1988
1989
1990
1991
1992
1993
1994
1995
1996
1997
1998
1999
2000
2001
2002
2003
2004
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
2024
2025
2026
2027
2028
2029
2030
2031
2032
2033
2034
2035
2036
2037
2038
2039
2040
2041
2042
2043
2044
2045
2046
2047
2048
2049
2050
2051
2052
2053
2054
2055
2056
2057
2058
2059
2060
2061
2062
2063
2064
2065
2066
2067
2068
2069
2070
2071
2072
2073
2074
2075
2076
2077
2078
2079
2080
2081
2082
2083
2084
2085
2086
2087
2088
2089
2090
2091
2092
2093
2094
2095
2096
2097
2098
2099
2100
2101
2102
2103
2104
2105
2106
2107
2108
2109
2110
2111
2112
2113
2114
2115
2116
2117
2118
2119
2120
2121
2122
2123
2124
2125
2126
2127
2128
2129
2130
2131
2132
2133
2134
2135
2136
2137
2138
2139
2140
2141
2142
2143
2144
2145
2146
2147
2148
2149
2150
2151
2152
2153
2154
2155
2156
2157
2158
2159
2160
2161
2162
2163
2164
2165
2166
2167
2168
2169
2170
2171
2172
2173
2174
2175
2176
2177
2178
2179
2180
2181
2182
2183
2184
2185
2186
2187
2188
2189
2190
2191
2192
2193
2194
2195
2196
2197
2198
2199
2200
2201
2202
2203
2204
2205
2206
2207
2208
2209
2210
2211
2212
2213
2214
2215
2216
2217
2218
2219
2220
2221
2222
2223
2224
2225
2226
2227
2228
2229
2230
2231
2232
2233
2234
2235
2236
2237
2238
2239
2240
2241
2242
2243
2244
2245
2246
2247
2248
2249
2250
2251
2252
2253
2254
2255
2256
2257
2258
2259
2260
2261
2262
2263
2264
2265
2266
2267
2268
2269
2270
2271
2272
2273
2274
2275
2276
2277
2278
2279
2280
2281
2282
2283
2284
2285
2286
2287
2288
2289
2290
2291
2292
2293
2294
2295
2296
2297
2298
2299
2300
2301
2302
2303
2304
2305
2306
2307
2308
2309
2310
2311
2312
2313
2314
2315
2316
2317
2318
2319
2320
2321
2322
2323
2324
2325
2326
2327
2328
gimp (2.6.10-1+squeeze4) oldstable-security; urgency=low

  * CVE-2012-3403 CVE-2012-3481 CVE-2012-5576
  * CVE-2013-1913 CVE-2013-1978
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Dec 2013 19:51:27 +0000

gimp (2.6.10-1+squeeze3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix multiple vulnerabilities:
    CVE-2010-4540 CVE-2010-4541 CVE-2010-4542 CVE-2010-4543
    CVE-2011-1782 CVE-2011-2896
    Closes: #608497, #629830, #643753.
  * Add xsltproc to Build-Depends to make it don't FTBFS.

 -- Aron Xu <aron@debian.org>  Thu, 01 Mar 2012 18:27:26 +0800

gimp (2.6.10-1+squeeze1) squeeze-proposed-updates; urgency=low

  * Non-maintainer Upload (with permission from Ari Pollak)
  * Fix printing when used with libcairo version 1.10 or above
    (Closes: #655517)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 15 Jan 2012 19:02:44 -0500

gimp (2.6.10-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu, 08 Jul 2010 21:31:29 -0400

gimp (2.6.9-1) unstable; urgency=low

  * New upstream release
    - fixes a crash when saving PPM (Closes: #549537)
  * Drop Suggests: libgimp-perl, since that's pretty poorly maintained

 -- Ari Pollak <ari@debian.org>  Wed, 23 Jun 2010 19:54:11 -0400

gimp (2.6.8-3) unstable; urgency=low

  * debian/patches/statusbar-progress-zoom.patch:
    - Apply patch from upstream to fix disappeared progressbar
      (Closes: #576595)
  * Bump build-depends on libgtk2.0 to >= 2.19.1 for patch to work

 -- Ari Pollak <ari@debian.org>  Mon, 05 Apr 2010 19:41:42 -0400

gimp (2.6.8-2) unstable; urgency=low

  * Fix dependencies in libgimp2.0-dev (Closes: #569420)
  * Change libjpeg62-dev build-depend to libjpeg-dev

 -- Ari Pollak <ari@debian.org>  Thu, 25 Feb 2010 10:31:51 -0500

gimp (2.6.8-1) unstable; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) format

 -- Ari Pollak <ari@debian.org>  Thu, 07 Jan 2010 22:03:14 -0500

gimp (2.6.7-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * This update fixes the following security issues:
    - CVE-2009-3909: integer overflow in PSD file loader leading to
      a heap-based buffer overflow (Closes: #556750).
    - CVE-2009-1570: integer overflow in BMP file loader leading to
      a heap-based buffer overflow (Closes: #555929).
  * Add ${shlibs: Depends} to depends of libgimp-dev (Closes: #553234).

 -- Nico Golde <nion@debian.org>  Sat, 21 Nov 2009 14:57:51 +0100

gimp (2.6.7-1) unstable; urgency=low

  * New upstream release
    - Fixes help browser crash (Closes: #536521)
    - Fixes error in Finnish translation (Closes: #538294)

 -- Ari Pollak <ari@debian.org>  Fri, 14 Aug 2009 09:57:17 -0400

gimp (2.6.6-2) unstable; urgency=low

  * Add Build-Depends-Package to libgimp2.0.symbols
  * Use gnome.mk for dh_icons and dh_desktop
  * Fix missing comma in debian/control (Closes: #535643)

 -- Ari Pollak <ari@debian.org>  Fri, 10 Jul 2009 19:36:16 -0400

gimp (2.6.6-1) unstable; urgency=low

  * New upstream release
    - Save two-color PBMs properly, and don't invert the colors
      (Closes: #517502)

 -- Ari Pollak <ari@debian.org>  Sun, 22 Mar 2009 21:39:55 -0400

gimp (2.6.5-2) unstable; urgency=low

  * Bump build-dep on intltool (Closes: #518373)

 -- Ari Pollak <ari@debian.org>  Fri, 06 Mar 2009 18:25:42 -0500

gimp (2.6.5-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun, 15 Feb 2009 21:03:52 -0500

gimp (2.6.4-2) unstable; urgency=low

  * Upload to unstable

 -- Ari Pollak <ari@debian.org>  Sun, 15 Feb 2009 05:42:45 -0500

gimp (2.6.4-1) experimental; urgency=low

  * New upstream release (Closes: #514530)
  * Revert building gimp-remote, since it's now deprecated.

 -- Ari Pollak <ari@debian.org>  Sun, 08 Feb 2009 13:48:49 -0500

gimp (2.6.3-1) experimental; urgency=low

  * New upstream release
  * Build gimp-remote (Closes: #504260)

 -- Ari Pollak <ari@debian.org>  Sat, 22 Nov 2008 15:56:34 -0500

gimp (2.6.2-1) experimental; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu, 30 Oct 2008 18:22:51 -0400

gimp (2.6.1-1) experimental; urgency=low

  * New upstream release
  * Fix watch file
  * Fix typoed gimp-gnomevfs in Replaces (thanks to Michael Biebl for pointing
    it out)

 -- Ari Pollak <ari@debian.org>  Thu, 09 Oct 2008 19:06:37 -0400

gimp (2.6.0-1) experimental; urgency=low

  * New upstream release to experimental so we don't break any transitions
    - Fixes Image Tile error message (Closes: #373184)
    - Fixes crash in Frosty script (Closes: #405200)
    - Uses webkit for help browser (Closes: #275605)
    - Optionally includes pointer in screenshots (Closes: #292471)
  * Merge gimp-python into main gimp package
  * Remove gimp-libcurl and gimp-gnomevfs since we now build with
    GIO support instead; gvfs-backends should provide the same functionality
  * 02_help-crash.patch:
    - Apply patch from upstream to fix crash when opening Help with
      gimp-plugin-registry installed

 -- Ari Pollak <ari@debian.org>  Wed, 01 Oct 2008 21:29:41 -0400

gimp (2.4.7-1) unstable; urgency=low

  * New upstream bugfix release

 -- Ari Pollak <ari@debian.org>  Thu, 21 Aug 2008 23:11:45 -0400

gimp (2.4.6-1) unstable; urgency=low

  * New upstream release
    - Fixes weird floating rectangle after drag-n-drop (Closes: #317992)

 -- Ari Pollak <ari@debian.org>  Mon, 02 Jun 2008 18:16:42 -0400

gimp (2.4.5-1) unstable; urgency=low

  * New upstream release
    - Should fix weird behavior when entering a hex color (Closes: #435124)

 -- Ari Pollak <ari@debian.org>  Sat, 01 Mar 2008 13:37:31 -0500

gimp (2.4.4-1) unstable; urgency=low

  * New upstream release
    - Changes priority of updating image zoom so it doesn't kill the GUI
      when using the opacity slider (Closes: #462694)
  * Add Suggests: ghostscript to gimp package since importing postscript
    requires it (Closes: #461044)

 -- Ari Pollak <ari@debian.org>  Thu, 31 Jan 2008 17:40:19 -0500

gimp (2.4.3-1) unstable; urgency=low

  * New upstream version
  * Start using symbol versioning in libgimp2.0

 -- Ari Pollak <ari@debian.org>  Mon, 17 Dec 2007 12:56:48 -0500

gimp (2.4.2-2) unstable; urgency=low

  * Create custom libgimp2.0 depends for the gimp package since the two
    versions need to be consistent (Closes: #452755)
  * Conflict with older versions of gimp-help since they no longer work
    with the new gimp. (Closes: #454109)
  * Merge -helpbrowser back into gimp package; add Provides: gimp-helpbrowser
    for compatibility with existing gimp-help packages

 -- Ari Pollak <ari@debian.org>  Sat, 15 Dec 2007 19:25:55 -0500

gimp (2.4.2-1) unstable; urgency=low

  * New upstream version
    - Don't take a fully transparent screenshot (Closes: #445445)
  * Move gimp-python to Recommends
  * Fix version on libexif-dev build-depend (Closes: #449129)

 -- Ari Pollak <ari@debian.org>  Wed, 21 Nov 2007 12:07:09 -0500

gimp (2.4.1-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Wed, 31 Oct 2007 11:54:37 -0400

gimp (2.4.0-2) unstable; urgency=medium

  * Bump shlibs on libgimp2.0 to prevent a crash in gimp with an older version
    of libgimp2.0 (Closes: #448318)
  * Bump debhelper dependency (Closes: #448339)

 -- Ari Pollak <ari@debian.org>  Sun, 28 Oct 2007 12:45:05 -0400

gimp (2.4.0-1) unstable; urgency=low

  * New upstream version
    - Fix screenshots sometimes having 100% alpha (Closes: #445445)
  * Rewrite libgimp2.0 description (Closes: #445567)

 -- Ari Pollak <ari@debian.org>  Tue, 23 Oct 2007 19:31:40 -0400

gimp (2.4.0~rc3-1) unstable; urgency=low

  * New upstream release
    - Fixes crash after migrating old Extended Input settings (Closes: #439509)
    - Fixes crash on converting color space (Closes: #439511)
    - Script-fu now handles non-UTF8 characters better (Closes: #442277)
  * Conflict & Replaces with gimp-print and update NEWS.Debian to reflect
    the change
  * Fix menu entry to point to XPM icon (Really Closes: #441177)

 -- Ari Pollak <ari@debian.org>  Sun, 23 Sep 2007 20:27:11 -0400

gimp (2.4.0~rc2-2) unstable; urgency=medium

  * Explicitly build-depend on liblcms1-dev
  * Explicitly remove *.la files in debian/rules
  * Add a note in NEWS.Debian about unnecessary gimp-print
  * Make libgimp2.0 recommend gimp-data for the locale data,
    since it's mostly only messages used in gimp itself.
  * Install XPM for menu icon (Closes: #441177, #237637, #77625)
  * Add back 02_help-message.patch to show a better error message when
    gimp-help-* isn't installed
  * Put icons into gimp-data, and call dh_icons from debian/rules
  * debian/patches/03_zoom-crash.patch:
    - Apply patch from upstream to fix zooming on images with abnormal
      dimensions (Closes: #441409)

 -- Ari Pollak <ari@debian.org>  Mon, 17 Sep 2007 21:26:10 -0400

gimp (2.4.0~rc2-1) unstable; urgency=low

  * New upstream version
    - Remove extraneous comma in header file (Closes: #440021)
  * Remove development version notes from control file
  * Tighten up gimp-python dependencies to make it less likely that an
    inconsistent version of gimp-python will be installed
  * Update watch file for 2.4 RC versions

 -- Ari Pollak <ari@debian.org>  Mon, 03 Sep 2007 12:19:27 -0400

gimp (2.4.0~rc1-5) unstable; urgency=low

  * debian/patches/04_c++-fix.patch:
    - Add a missing G_END_DECLS which was preventing C++ plugins from building
      (Closes: #439473)
  * debian/patches/05_zoom_improvements.patch:
    - Apply latest zoom improvements from upstream to fix crashes while
      working with large images (Closes: #439489)
  * Add libhal-dev and libdbus-1-dev to build-depends to take advantage
    of input hotplugging and existing-gimp-instance checking

 -- Ari Pollak <ari@debian.org>  Mon, 27 Aug 2007 00:33:30 -0400

gimp (2.4.0~rc1-4) unstable; urgency=low

  * debian/patches/03_toolbox-menu.patch:
    - Don't patch .xml.in file, only .xml

 -- Ari Pollak <ari@debian.org>  Mon, 20 Aug 2007 00:30:45 -0400

gimp (2.4.0~rc1-3) unstable; urgency=low

  * debian/patches/02_print-crash.patch:
    - Apply patch from upstream to fix Print crash on new installations
      (Closes: #438786)
  * debian/patches/03_toolbox-menu.patch:
    - Work around missing File->Quit and File->Close All items in the toolbox
      (Closes: #438708)

 -- Ari Pollak <ari@debian.org>  Sun, 19 Aug 2007 20:19:46 -0400

gimp (2.4.0~rc1-2) unstable; urgency=low

  * Fix debian/watch, README.Debian, and gimp.menu to reflect the new
    major version

 -- Ari Pollak <ari@debian.org>  Fri, 17 Aug 2007 20:14:24 -0400

gimp (2.4.0~rc1-1) unstable; urgency=low

  * New upstream version
    - Fixes two mistakes in French translation (Closes: #355961, #428564)
    - Fixes a mistake in Italian translation (Closes: #298454)
    - Fixes a mistake in Chinese Traditional translation (Closes: #309938)
    - Improves TGA file detection (Closes: #231525)

 -- Ari Pollak <ari@debian.org>  Thu, 16 Aug 2007 13:45:54 -0400

gimp (2.3.19-1) experimental; urgency=high

  * New upstream version
    - Fixes integer overflow in PSD plugin (CVE-2007-2949)
  * Make gimp conflict and replace gimp-svg
  * Update versioned build-dep of python-gtk2-dev (Closes: #430363) 
  * Make package binNMU-safe (Closes: #432965)

 -- Ari Pollak <ari@debian.org>  Mon, 25 Jun 2007 11:45:41 -0400

gimp (2.3.18-1) experimental; urgency=low

  * New upstream release
  * Merge gimp-svg back into main package since librsvg2-2 no longer seems to
    pull in GNOME packages

 -- Ari Pollak <ari@debian.org>  Fri, 15 Jun 2007 13:33:06 -0400

gimp (2.3.17-1) experimental; urgency=low

  * New upstream release
    - Improves autodetection of TGA files (Closes: #231525)
  * Make gimp-gnomevfs depend on libgnomevfs2-extra so it can open
    http/ftp/smb URIs
  * Enable GtkPrint support with gtk 2.10 (Closes: #422195)

 -- Ari Pollak <ari@debian.org>  Sun, 27 May 2007 14:01:31 -0400

gimp (2.3.16-2) experimental; urgency=high

  * 02_sunras_CVS-2007-2356.patch:
    - Add patch from upstream to fix CVE-2007-2356, a stack overflow
      in the sunras plugin code.

 -- Ari Pollak <ari@debian.org>  Tue, 01 May 2007 18:03:38 -0400

gimp (2.3.16-1) experimental; urgency=low

  * New upstream release
  * Remove XOR override, since there's now a configuration option to change it
  * Add XS-Vcs-Svn and XS-Vcs-Browser headers for the subversion repository

 -- Ari Pollak <ari@debian.org>  Wed, 25 Apr 2007 17:30:54 -0400

gimp (2.3.15-1) experimental; urgency=low

  * New upstream release
    - Fixes Select->Border on selections around edge of images
      (Closes: #381515)
    - Work around buggy clipboard managers (Closes: #411285)
  * Fix invocation of find in debian/rules (Closes: #411052)
  * Loosen the dependency on gimp-data slightly

 -- Ari Pollak <ari@debian.org>  Sat, 17 Feb 2007 14:35:56 -0500

gimp (2.3.14-3) experimental; urgency=low

  * 02_xor-to-invert.patch:
    - Change GDK_XOR canvas drawing to GDK_INVERT as a quick hack around
      artifacts I was seeing on a Radeon card with cursor outlines and 
      the path tool

 -- Ari Pollak <ari@debian.org>  Thu, 15 Feb 2007 00:47:35 -0500

gimp (2.3.14-2) experimental; urgency=low

  * Change Build-Depends: libpng-dev to libpng12-dev | libpng-dev
    to fix FTBFS on experimental buildds (Closes: #408849)

 -- Ari Pollak <ari@debian.org>  Sun, 28 Jan 2007 17:11:45 -0500

gimp (2.3.14-1) experimental; urgency=low

  * New upstream release
  * Conflict & Replace libgimp-perl <= 2.0.dfsg+2.2pre1.dfsg-2 
    since we now provide the redeye plugin, which is also currently in
    libgimp-perl

 -- Ari Pollak <ari@debian.org>  Sat, 13 Jan 2007 15:03:00 -0500

gimp (2.3.13-1) experimental; urgency=low

  * New upstream version
  * Remove gimptool alternative from libgimp2.0-dev package 
  * Don't include gimp-gnomevfs plugin in main gimp package

 -- Ari Pollak <ari@debian.org>  Mon,  6 Nov 2006 22:22:39 -0500

gimp (2.3.12-2) experimental; urgency=low

  * Put gimp-libcurl into separate package

 -- Ari Pollak <ari@debian.org>  Sun, 15 Oct 2006 14:57:32 -0400

gimp (2.3.12-1) experimental; urgency=low

  * New upstream release
    - Don't build with GtkPrint for now since GTK+ 2.10 isn't in unstable
  * Remove gimp-wget package, put curl URI plugin into main gimp package and
    have gimp-gnomevfs just divert the uri plugin to use gnomevfs instead of
    curl 

 -- Ari Pollak <ari@debian.org>  Fri, 13 Oct 2006 21:49:55 -0400

gimp (2.3.11-1) experimental; urgency=low

  * New upstream release
    - Bump dependencies on python-gtk2, gtk, glib, and pango to match new
      requirements
  * Upgrade to new python policy by using dh_pysupport instead of dh_python
    (Closes: #380816)

 -- Ari Pollak <ari@debian.org>  Sat,  9 Sep 2006 00:36:24 -0400

gimp (2.3.10-1) experimental; urgency=low

  * New upstream release
  * Switch build system to cdbs + simple-patchsys
  * Include stuff in /usr/share/icons in the gimp package
    (Closes: #372758)
  * Apply patch to fix buffer overflow in XCF handling code, CVE-2006-3404
    (Closes: #377049)

 -- Ari Pollak <ari@debian.org>  Tue, 11 Jul 2006 16:41:06 -0400

gimp (2.3.9-1) experimental; urgency=low

  * New upstream release
    - fixes resizing the main toolbox (Closes: #345526)

 -- Ari Pollak <ari@debian.org>  Tue,  6 Jun 2006 19:27:58 -0400

gimp (2.3.8-4) experimental; urgency=low

  * Change libgtk2.0-0 dependency to >= 2.3.8 (Closes: #365023)

 -- Ari Pollak <ari@debian.org>  Thu, 27 Apr 2006 09:11:50 -0400

gimp (2.3.8-3) experimental; urgency=low

  * Whoops, don't replace & conflict with 2.3.8-2 (Closes: #364244)

 -- Ari Pollak <ari@debian.org>  Fri, 21 Apr 2006 13:09:00 -0400

gimp (2.3.8-2) experimental; urgency=low

  * Change build-dependency on libpoppler-dev to libpoppler-glib-dev
  * Put gimp.desktop, gimp.keys, and gimp.applications in gimp package instead
    of gimp-data,and make gimp-data Recommends: gimp (Closes: #363469)

 -- Ari Pollak <ari@debian.org>  Wed, 19 Apr 2006 12:14:45 -0400

gimp (2.3.8-1) experimental; urgency=low

  * New upstream release
  * Change URI plugin dependencies to Recommends
  * Fix build-depends to exclude kfreebsd-amd64 from using libasound2-dev
    (Closes: #361459)
  * Update gimp-python package description

 -- Ari Pollak <ari@debian.org>  Thu, 13 Apr 2006 14:08:42 -0400

gimp (2.3.7-1) experimental; urgency=low

  * New upstream release
    - Fixes issue where saving a file would always report that the file
      already exists (Closes: #347804)
  * Don't build gimp with gcc 3.4 on arm anymore, since it seems gcc-4.0
    builds correctly there now.

 -- Ari Pollak <ari@debian.org>  Thu,  9 Feb 2006 12:08:49 -0500

gimp (2.3.6-3) experimental; urgency=low

  * Apply patch from upstream CVS to fix saving EXIF data on JPEG files
    (from #307918 for 2.2 branch)
  * Conflict with libgimp2.0 (>= 2.5.0) in preparation for gimp 2.4
    (from #349801 for 2.2 branch)

 -- Ari Pollak <ari@debian.org>  Mon, 30 Jan 2006 15:19:51 -0500

gimp (2.3.6-2) experimental; urgency=low

  * Fix the wget URI plugin to not link with all of the GNOME-VFS libs,
    which had resulted from me munging the URI plugin Makefile.
    (Closes: #349228)

 -- Ari Pollak <ari@debian.org>  Sat, 21 Jan 2006 12:16:41 -0500

gimp (2.3.6-1) experimental; urgency=low

  * New development upstream release for experimental (Closes: #322568)
  * Add build-dependencies on libpopper-glib-dev, libgnomevfs2-dev,
    libgnomeui-dev, and libgnome-keyring-dev.
  * Build both the gnome-vfs and wget URI plugins using some Makefile magic
    and split them out into gimp-gnomevfs and gimp-wget. Have the gimp package
    depend on gimp-gnomevfs | gimp-wget.
  * Add more Wilber samples to /usr/share/doc
  * Make libgimp2.0-dev suggest libgimp2.0-doc

 -- Ari Pollak <ari@debian.org>  Wed, 28 Dec 2005 15:24:24 -0500

gimp (2.2.17-1) unstable; urgency=low

  * New upstream version
    - Fixes a regression loading PSD files

 -- Ari Pollak <ari@debian.org>  Fri, 13 Jul 2007 10:31:45 -0400

gimp (2.2.16-1) unstable; urgency=high

  * New upstream version
    - Fixes integer overflow in PSD plugin (CVE-2007-2949)
  * Don't use find -exec xargs (Closes: #426415)

 -- Ari Pollak <ari@debian.org>  Fri, 06 Jul 2007 23:11:47 -0400

gimp (2.2.15-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun, 27 May 2007 13:55:28 -0400

gimp (2.2.14-2) unstable; urgency=high

  * 06_sunras_CVE-2007-2356:
    - Add patch from upstream to fix CVE-2007-2356, a stack overflow
      in the sunras plugin code.

 -- Ari Pollak <ari@debian.org>  Tue, 01 May 2007 16:49:47 -0400

gimp (2.2.14-1) unstable; urgency=low

  * New upstream version
  * Upgrade to new python policy by using dh_pysupport instead of dh_python
    (Closes: #380816)
  * Add XS-Vcs-Svn and XS-Vcs-Browser headers for the subversion repository

 -- Ari Pollak <ari@debian.org>  Wed, 18 Apr 2007 11:55:17 -0400

gimp (2.2.13-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu, 24 Aug 2006 17:46:19 -0400

gimp (2.2.12-2) unstable; urgency=low

  * debian/patches/06_gradient-fix.patch:
    - Add patch to fix crash on malformed gradient (Closes: #381440)
  * debian/patches/07_autoconf2.60-fix.patch:
    - Add patch to fix breakage with new autoconf, which resulted in
      a broken .desktop file. (Closes: #383391)

 -- Ari Pollak <ari@debian.org>  Tue, 22 Aug 2006 22:19:01 -0400

gimp (2.2.12-1) unstable; urgency=low

  * New upstream release
    - Fixes segfault when closing image while saving it (Closes: #339115)
  * Acknowledge NMU (Closes: #377049), revert patch which has been applied
    upstream

 -- Ari Pollak <ari@debian.org>  Tue, 11 Jul 2006 14:30:03 -0400

gimp (2.2.11-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply fix from #377049 to fix buffer overflow, CVE-2006-3404.
    (closes: #377049)

 -- James Vega <jamessan@debian.org>  Fri, 7 Jul 2006 12:55:41 -0400 

gimp (2.2.11-3) unstable; urgency=low

  * Revert MMX/SSE fix, it didn't make a difference. Instead,
    apply patch from CVS HEAD to disable MMX/SSE-accelerated burn function,
    and replace it with generic C function.
    Really closes: #374271
  * Fix incorrect watch file

 -- Ari Pollak <ari@debian.org>  Tue, 20 Jun 2006 10:32:20 -0400

gimp (2.2.11-2) unstable; urgency=low

  * Switch build system to cdbs + simple-patchsys
  * Remove build-depends on gcc-3.4 (Closes: #371864)
  * Update gimp-python package description
  * Put gimp.desktop, gimp.keys, and gimp.applications in gimp package instead
    of gimp-data, and make gimp-data Recommends: gimp (Closes: #363469)
  * Add more Wilber samples to /usr/share/doc
  * Re-add patch from Red Hat to fix MMX/SSE compile error
    (Closes: #374271)

 -- Ari Pollak <ari@debian.org>  Sun, 18 Jun 2006 11:48:06 -0400

gimp (2.2.11-1) unstable; urgency=low

  * New upstream release
  * Stop building with gcc-3.4 on arm
  * Fix build-depends to exclude kfreebsd-amd64 from using libasound2-dev
    (Closes: #361459)

 -- Ari Pollak <ari@debian.org>  Thu, 13 Apr 2006 17:27:44 -0400

gimp (2.2.10-2) unstable; urgency=low

  * Apply patch from upstream CVS to fix saving EXIF data on JPEG files
    (Closes: #307918)
  * Conflict with libgimp2.0 (>= 2.3.0) (Closes: #349801)

 -- Ari Pollak <ari@debian.org>  Mon, 30 Jan 2006 15:09:49 -0500

gimp (2.2.10-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch file
  * Add explicit depends on pkg-config to libgimp2.0-dev, since
    we're now calling that directly from gimptool.
  * Revert MMX/SSE patch from Red Hat since the issue should have
    been fixed upstream in 2.2.9.

 -- Ari Pollak <ari@debian.org>  Wed, 28 Dec 2005 13:13:42 -0500

gimp (2.2.9-8) unstable; urgency=low

  * gimptool-2.0.in:
    - Define PKG_CONFIG at the beginning of the gimptool script
      so the GTK/Glib cflags & libs are checked at runtime instead
      of gimp package compile-time. This was breaking gimp plugins
      built with gimptool with GTK+ 2.8 installed, since
      extra library/include dependencies on Cairo were added.
      An upstream bug has been filed about this (GNOME #324761).

 -- Ari Pollak <ari@debian.org>  Wed, 21 Dec 2005 20:21:58 -0500

gimp (2.2.9-7) unstable; urgency=low

  * Remove unnecessary build-dependency on libmpeg-dev
  * Remove unnecessary build-dependency on sharutils
  * Remove dependency on xlibs-dev, replace with appropriate -dev
    packages

 -- Ari Pollak <ari@debian.org>  Mon,  5 Dec 2005 10:52:36 -0500

gimp (2.2.9-6) unstable; urgency=low

  * Add explicit build-dependency on libfreetype6-dev since gimp
    uses symbols from that library (Closes: #341459)
  * Fix downloading of images in gimp when "verbose=off" is present
    in wgetrc (Closes: #341221)

 -- Ari Pollak <ari@debian.org>  Wed, 30 Nov 2005 13:17:16 -0500

gimp (2.2.9-5) unstable; urgency=low

  * Get rid of gcc-3.3 dependency in libgimp2.0-dev, I'm not sure
    why it was there in the first place.

 -- Ari Pollak <ari@debian.org>  Tue, 29 Nov 2005 15:39:45 -0500

gimp (2.2.9-4) unstable; urgency=low

  * I found out from Manish Singh that gcc 3.3 generates incredibly
    bloated debugging symbols. So I've switched to building 
    gimp with gcc 4.0 on all arches except arm (which FTBFSs with gcc-4.0),
    which now builds with gcc 3.4.

 -- Ari Pollak <ari@debian.org>  Sat, 19 Nov 2005 17:26:51 -0500

gimp (2.2.9-3) unstable; urgency=low

  * Oops, I made a typo in debian/rules so the gimp-dbg package didn't
    contain anything.

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 14:22:50 -0500

gimp (2.2.9-2) unstable; urgency=low

  * Use debhelper v5
  * Add a gimp-dbg package which contains debugging symbols for all other
    gimp binary packages. This should facilitate easier tracing
    of bugs in gimp.

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 12:15:29 -0500

gimp (2.2.9-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sat, 29 Oct 2005 00:59:33 +0000

gimp (2.2.8-11) unstable; urgency=low

  * Make libgimp2.0-dev depend on gcc-3.3 because gimptool uses the same
    compiler that gimp was compiled with. (Closes: #332681)

 -- Ari Pollak <ari@debian.org>  Fri,  7 Oct 2005 21:07:06 -0400

gimp (2.2.8-10) unstable; urgency=low

  * Add letter spacing option to text tool, taken from upstream
    development tree (Closes: #326261)
  * Apply patch to German translation (Closes: #314091)

 -- Ari Pollak <ari@debian.org>  Sat, 17 Sep 2005 15:22:13 -0400

gimp (2.2.8-9) unstable; urgency=low

  * Build with gcc-3.3 until bug #322565 on gcc-4.0 is fixed (Closes: #326423)

 -- Ari Pollak <ari@debian.org>  Sat,  3 Sep 2005 12:52:35 -0400

gimp (2.2.8-8) unstable; urgency=low

  * Er, somehow gimp-print got removed from the Recommends in the last
    revision, so re-add it. (Closes: #322480)

 -- Ari Pollak <ari@debian.org>  Wed, 10 Aug 2005 18:01:08 -0400

gimp (2.2.8-7) unstable; urgency=low

  * Bump minimum version for libexif-dev in build-depends

 -- Ari Pollak <ari@debian.org>  Thu, 28 Jul 2005 11:30:25 -0400

gimp (2.2.8-6) unstable; urgency=low

  * Removed libgimpprint1-dev from build-deps, added --disable-print
    to configure options, and added Recommends: gimp-print (Closes: #318819)
    SIDE EFFECT: gimp-print is now a separate package. Install it if
    you would like printing support in GIMP.
  * Removed gimp1.2 dummy package and associated Conflicts/Replaces
    now that sarge is released, since it is no longer needed.

 -- Ari Pollak <ari@debian.org>  Mon, 18 Jul 2005 13:09:37 -0400

gimp (2.2.8-5) unstable; urgency=low

  * Instead of adding MMX and SSE flags, apply patch from GNOME bugzilla
    #303796 to fix building on gcc 4.0 the correct way.
    (Closes: #318345, #318226)

 -- Ari Pollak <ari@debian.org>  Thu, 14 Jul 2005 20:01:04 -0400

gimp (2.2.8-4) unstable; urgency=low

  * Really change build-dependencies this time.

 -- Ari Pollak <ari@debian.org>  Tue, 12 Jul 2005 01:22:23 -0400

gimp (2.2.8-3) unstable; urgency=low

  * Add "-mmmx -msse" to CFLAGS on i386 to allow compilation of
    MMX/SSE-optimized composite code. Fix suggested by GNOME bugzilla #308412.
  * Apply patch from upstream to app/composite/gimp-composite-generic.c
    to fix some signedness warnings
  * Change build-depends on aalib1-dev to libaa1-dev
  * Don't build-depend on libasound2-dev on kfreebsd-i386 & hurd-i386
    (Closes: #316745, #307925)

 -- Ari Pollak <ari@debian.org>  Mon, 11 Jul 2005 23:00:43 -0400

gimp (2.2.8-2) unstable; urgency=low

  * Remove unnecessary build-dep on slang 

 -- Ari Pollak <ari@debian.org>  Wed, 29 Jun 2005 10:03:13 -0400

gimp (2.2.8-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Tue, 28 Jun 2005 01:13:13 +0000

gimp (2.2.7-2) unstable; urgency=low

  * Update package descriptions to remove outdated references to GIMP 2.0.
    (Closes: #308972)
  * Fix small typo in gimprc manpage (Closes: #310018)

 -- Ari Pollak <ari@debian.org>  Fri, 13 May 2005 12:18:07 -0400

gimp (2.2.7-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun,  8 May 2005 21:55:38 -0400

gimp (2.2.6-1) unstable; urgency=low

  * New upstream release
  * Fixes saving certain multilayer ICO files (Closes: #300140)

 -- Ari Pollak <ari@debian.org>  Sun, 10 Apr 2005 02:21:57 -0400

gimp (2.2.4-3) unstable; urgency=low

  * gimp & gimp-data conflicts & replaces gimp1.2 << 1.2.5-1.
  * Forcibly remove files from /etc/gimp/1.2 on purge of gimp1.2 package
    (Closes: #303087)
  * Apply patch from upstream to make wget output more consistent when run
    under gimp (Closes: #298792)
  * Apply patch from upstream to fix compile error on amd64/gcc-4.0
    (Closes: #300227)
  * Correct typos in gimp manpage (Closes: #302146)
  * Add MIDI device howto to README.MIDI now that it's been licensed under
    the GPL; update gimp description to point to the new readme.

 -- Ari Pollak <ari@debian.org>  Wed,  6 Apr 2005 15:21:19 -0400

gimp (2.2.4-2) unstable; urgency=low

  * Make libasound2-dev an actual build-dependency, and suggest libasound2
    instead of depend on it. Also add a note into the gimp description
    about how to use the MIDI controller, which is what links against ALSA.
    (Closes: #299600)

 -- Ari Pollak <ari@debian.org>  Tue, 15 Mar 2005 10:59:18 -0500

gimp (2.2.4-1) unstable; urgency=low

  * New upstream release
    - Fixes french translation in quit dialog (Closes: #295870)
    - Fixes Unsharp Mask when layer is bigger than image (Closes: #292199)
    - Now imports templates from 2.0 case-insensitively (Closes: #295973)
  * gimp-data Conflicts/Replaces gimp (<< 2.0.2-4), for ubuntu bug #6538

 -- Ari Pollak <ari@debian.org>  Tue, 22 Feb 2005 18:41:48 -0500

gimp (2.2.3-3) unstable; urgency=low

  * Add versioned conflicts/replaces on gimp-data pre-2.0.2-4 to gimp

 -- Ari Pollak <ari@debian.org>  Tue, 15 Feb 2005 19:40:24 -0500

gimp (2.2.3-2) unstable; urgency=low

  * Add explicit depends on libfreetype6 >= 2.1.7, since we
    check for it at runtime; Also add build-depends on sed >= 3.95,
    since we use the -i option to sed in debian/rules.
    Thanks to G├╝rkan Seng for pointing this out.

 -- Ari Pollak <ari@debian.org>  Fri, 28 Jan 2005 16:35:14 -0500

gimp (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sat, 22 Jan 2005 18:12:59 -0500

gimp (2.2.2-1) unstable; urgency=low

  * New upstream release
    - disables MMX instructions for "addition" mode (Closes: #288508)

 -- Ari Pollak <ari@debian.org>  Mon, 10 Jan 2005 12:02:36 -0500

gimp (2.2.1-2) unstable; urgency=low

  * Remove the python dependency sections from non-python packages 
  * Bump required libgtk2.0-dev version for the libgimp2.0-dev package
  * Really remove the pygimp logo from the debian/ directory
  * Apply patch from Andreas Jochens to fix building on amd64/gcc-4.0
    (Closes: #288793)

 -- Ari Pollak <ari@debian.org>  Mon,  3 Jan 2005 20:46:57 -0500

gimp (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Remove pygimp logo, it's now included properly upstream

 -- Ari Pollak <ari@debian.org>  Thu, 30 Dec 2004 19:21:26 -0500

gimp (2.2.0+rel-2) unstable; urgency=low

  * Rebuild for unstable
    - Acknowledge bugs fixed in previous 2.2 prereleases in experimental
      (Closes: #254607, #277989, #280408, #280470, #281784)
    - 2.2.0 fixes the broken bumpmap filter (Closes: #285008)
  * Update menu entry for 2.2

 -- Ari Pollak <ari@debian.org>  Mon, 20 Dec 2004 18:40:14 -0500

gimp (2.2.0+rel-1) experimental; urgency=low

  * New upstream release
    - Adds --no-splash to gimp-remote (Closes: #277989)
    - Fixes leftover swap files when cancelling an import (Closes: #281784)
  * Bump shlibs on libgimp2.0
  * Add uuencoded pygimp logo from CVS so pygimp will build properly,
    uudecode it before build, and add sharutils to build-depends

 -- Ari Pollak <ari@debian.org>  Sun, 19 Dec 2004 15:40:58 -0500

gimp (2.2.0+pre2-3) experimental; urgency=low

  * Applied changes from Ubuntu gimp package:
    - debian/control: update build-depends on debhelper
    - debian/rules: use dh_desktop

 -- Ari Pollak <ari@debian.org>  Mon,  6 Dec 2004 10:41:31 -0500

gimp (2.2.0+pre2-2) experimental; urgency=low

  * Add libgimp-perl to Suggests.

 -- Ari Pollak <ari@debian.org>  Thu,  2 Dec 2004 13:55:17 -0500

gimp (2.2.0+pre2-1) experimental; urgency=low

  * New upstream release
    - Fixes some various BMP-handling bugs (Closes: #280408, #280470)
    - Now updates JPEG EXIF thumbnails to reflect changes (Closes: #277097)

 -- Ari Pollak <ari@debian.org>  Sat, 20 Nov 2004 05:16:15 -0500

gimp (2.2.0+pre1-3) experimental; urgency=low

  * Get rid of the gimp alternatives for now, i'm not forseeing any need
    for it any time soon, and it's just annoying. (Closes: #280688)

 -- Ari Pollak <ari@debian.org>  Wed, 10 Nov 2004 22:54:28 -0500

gimp (2.2.0+pre1-2) experimental; urgency=low

  * Update gimp.{postinst,prerm} to update alternatives for new version

 -- Ari Pollak <ari@debian.org>  Tue,  9 Nov 2004 11:10:50 -0500

gimp (2.2.0+pre1-1) experimental; urgency=low

  * New prerelease for experimental
    - Uses the new GTK-2.4 filechooser (Closes: #254607)

 -- Ari Pollak <ari@debian.org>  Sun,  7 Nov 2004 16:19:43 -0500

gimp (2.0.6-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Tue,  2 Nov 2004 22:42:16 -0500

gimp (2.0.5-1) unstable; urgency=low

  * New upstream release
    - Should fix a lot of segfaults with misconfigured filename encodings
      (Closes: #267272)
  * Add GenericName to gimp.desktop.in.in
  * Revert imagemap change, it wasn't applied correctly anyway
  * libglib2.0-0 shlibs have been updated to (>= 2.4.6), so no need
    to recommend 2.4.4 or higher; instead, update build-deps
    to depend on libgtk2.0-dev >= 2.4.7(Closes: #264844)

 -- Ari Pollak <ari@debian.org>  Sat, 25 Sep 2004 11:40:42 -0400

gimp (2.0.4-2) unstable; urgency=low

  * Add GenericName to gimp.desktop.in.in
  * Revert imagemap change, it wasn't applied correctly anyway

 -- Ari Pollak <ari@debian.org>  Wed, 11 Aug 2004 14:35:37 -0400

gimp (2.0.4-1) unstable; urgency=low

  * New upstream release
    - Fixes remaining encoding problems with newer GLib
      (Closes: #260766, #262527)
  * Exit if can't parse filenames due to invalid G_FILENAME_ENCODING
    (Closes: #262718)
  * Fix shearing in the X direction from the spinbutton (Closes: #263307)
  * Add font information to README.Debian (Closes: #263466)
  * Modify the imagemap plugin not to include <unistd.h> to fix
    a compile error

 -- Ari Pollak <ari@debian.org>  Thu,  5 Aug 2004 21:56:21 -0400

gimp (2.0.3-3) unstable; urgency=low

  * Make gimp-svg and gimp-helpbrowser depend on the current version of gimp
    (Closes: #263102, #259599)

 -- Ari Pollak <ari@debian.org>  Tue,  3 Aug 2004 13:05:17 -0400

gimp (2.0.3-2) unstable; urgency=medium

  * Fix saving of EXIF data in JPEGs. Bumping urgency to medium because
    this could cause an unpleasant surprise for people who expect
    EXIF data to be preserved but it's suddenly gone missing.
    (Closes: #261621)
  * Move gimp-svg to Recommends
  * Update Russian, Spanish, French, and Hebrew translation of .desktop file
    (thanks to Dan Korostelev and Steve Langasek)

 -- Ari Pollak <ari@debian.org>  Tue, 20 Jul 2004 08:19:38 -0400

gimp (2.0.3-1) unstable; urgency=low

  * New upstream release
    - Fixes long-standing tablet pointer switching bug (Closes: #203755)
  * Install /usr/share/pixmaps/gimp.png, update desktop file (Closes: #258596)

 -- Ari Pollak <ari@debian.org>  Sat, 17 Jul 2004 19:35:39 -0400

gimp (2.0.2-7) unstable; urgency=low

  * Duh, add conflicts & replaces to -svg and -helpbrowser (Closes: #259599) 

 -- Ari Pollak <ari@debian.org>  Thu, 15 Jul 2004 13:47:07 -0400

gimp (2.0.2-6) unstable; urgency=low

  * Split helpbrowser out into gimp-helpbrowser and svg plugin into gimp-svg.

 -- Ari Pollak <ari@debian.org>  Fri,  9 Jul 2004 10:28:17 -0400

gimp (2.0.2-5) unstable; urgency=low

  * Don't install gnome-gimp.png. 

 -- Ari Pollak <ari@debian.org>  Thu,  8 Jul 2004 16:56:07 -0400

gimp (2.0.2-4) unstable; urgency=low

  * The "I'm tired of waiting for migration to sarge" or 
    "patents suck" release
  * Rebuild against librsvg >= 2.7 to get rid of mistaken libcroco dep
    (Closes: #257990)
  * Get rid of gimp-nonfree and gimp1.2-nonfree (#257382)
  * Change GNOME menu entry to "GIMP Image Editor"
  * Install /usr/share/pixmaps/gnome-gimp.png, update .desktop file
  * Make better error message in helpbrowser for missing gimp-help
    ("Please install the appropriate gimp-help package for your language)
  * Move more arch-indep stuff into gimp-data
  
 -- Ari Pollak <ari@debian.org>  Sat, 26 Jun 2004 23:12:10 -0400

gimp (2.0.2-3) unstable; urgency=low

  * Wow, I'm a dope. Really rebuild gimp with libexif10 this time.
  * Remove Build-Conflicts: libgimp2.0, it's no longer necessary for
    the stable version since the soname doesn't change.
  * Remove the explicit versioning on gtk 2.2.2 or above, 
    gtk 2.4 provides shlibs that are more than sufficient.

 -- Ari Pollak <ari@debian.org>  Thu, 24 Jun 2004 20:33:58 -0400

gimp (2.0.2-2) unstable; urgency=low

  * Rebuild against libexif10
  * If /usr/bin/gimp symlink doesn't exist after postrm, assume
    the alternatives broke and automatically run
    update-alternatives --auto gimp.
    Also add tests to postinst as per Chris Waters' suggestion.
    (Closes: #241879)

 -- Ari Pollak <ari@debian.org>  Fri, 18 Jun 2004 14:46:03 -0400

gimp (2.0.2-1) unstable; urgency=low

  * New upstream release
    - Save as JPEG details window corrected (Closes: #244118)

 -- Ari Pollak <ari@debian.org>  Tue, 15 Jun 2004 11:04:51 -0400

gimp (2.0.1-2) unstable; urgency=low

  * Add replaces & conflicts on gimp1.3-data to libgimp2.0.
  * Incorporate patch from Daniel Kobras to fix a bug saving XCFs 
    (Closes: #248042)
  * This should also force a rebuild on s390, which is holding up gimp in
    sarge.

 -- Ari Pollak <ari@debian.org>  Fri, 14 May 2004 11:33:12 -0400

gimp (2.0.1-1) unstable; urgency=low

  * New upstream release
  * See upstream NEWS for bugfixes (Closes: #243488, #240890, #236349, #109344)
  * Really add NEWS.Debian this time

 -- Ari Pollak <ari@debian.org>  Wed, 14 Apr 2004 08:18:33 -0400

gimp (2.0.0-7) unstable; urgency=low

  * libgimp2.0 conflicts and replaces gimp-data << 2.0.0-6 (Closes: #243246)

 -- Ari Pollak <ari@debian.org>  Mon, 12 Apr 2004 17:53:10 -0400

gimp (2.0.0-6) unstable; urgency=low

  * The priority for the gimp 2.0 alternative should be 50
  * gimptool should create the directory before installing modules
    to it (Closes: #241871)
  * Argh. really correct debian/gimp-data.files this time.
  * Force removal of libgimpmath/test-md5. One of these days I have to
    go through the clean target and take out the leftover cruft.
  * Add note in NEWS.Debian about alternatives issue

 -- Ari Pollak <ari@debian.org>  Sat,  3 Apr 2004 13:57:43 -0500

gimp (2.0.0-5) unstable; urgency=low

  * The "Squeaky Wheel" revision.
  * Re-add gimp1.2 and gimp1.2-nonfree dependency packages.
    gimp1.2-perl was not re-added because we no longer provide
    gimp-perl. Whomever packages gimp-perl can choose whether to provide
    a gimp1.2-perl package, which I'm not sure is a good idea since the
    API may have changed. (Closes: #241349)
  * Don't remove runtime fontconfig checking, just change the wording of 
    it so people can know how to solve the problem. (src/app/app.c)
  * Correct the spelling errors in gimptool.1.in. The rest of the spelling
    errors no longer exist in the gimp source. (Closes: #125783)
  * Correct debian/gimp-data.files (Closes: #241587, #241575)

 -- Ari Pollak <ari@debian.org>  Sun, 1 Apr 2004 11:28:13 -0500

gimp (2.0.0-4) unstable; urgency=low

  * Remove runtime fontconfig checking. (Closes: #239598)

 -- Ari Pollak <ari@debian.org>  Sat, 27 Mar 2004 04:09:42 -0500

gimp (2.0.0-3) unstable; urgency=low

  * Remove the gimp-1.2 alternative from previous versions on 
    installation

 -- Ari Pollak <ari@debian.org>  Thu, 25 Mar 2004 22:50:59 -0500

gimp (2.0.0-2) unstable; urgency=low

  * Oops, shlibs should be >= 2.0.0, not 2.0.0.0.
  * gimp-data: Conflict & replace gimp1.3-data
  * gimp: Conflict & replace gimp1.2
  * libgimp2.0-dev: Conflict & replace libgimp1.2-dev (<< 1.2.5-4),
    since that's when we introduced a gimptool alternative.

 -- Ari Pollak <ari@debian.org>  Wed, 24 Mar 2004 08:48:16 -0500

gimp (2.0.0-1) unstable; urgency=low

  * New upstream release
    - Closes: #21393, #29375, #64000, #70461, #101266, #108834, #200357
    - Closes: #109344, #111128, #114716, #117061, #117866, #112053
    - Closes: #119073, #121437, #128968, #144324, #145503, #110274
    - Closes: #147693, #150451, #151994, #152072, #153631, #179951
    - Closes: #154022, #154722, #157265, #157265, #158629, #198677
    - Closes: #169328, #161959, #169541, #169914, #233105, #199101
    - Closes: #211355, #191762, #183711, #176648, #175692, #183706, #201432
  * Use -nonfree like in gimp1.3 (Closes: #220464)
  * Separated package like in gimp1.3 (Closes: #233358)

 -- Ari Pollak <ari@debian.org>  Tue, 23 Mar 2004 21:37:49 -0500

gimp1.3 (1.3.27+2.0pre4-3) unstable; urgency=low

  * Fix configure's checking for gimp-print to fix ia64 (thanks, Roger Leigh!)

 -- Ari Pollak <ari@debian.org>  Tue,  9 Mar 2004 09:16:40 -0500

gimp1.3 (1.3.27+2.0pre4-2) unstable; urgency=low

  * We can define the default web browser in the global gimprc, not
    the source.
  * Recommends: gimp-help
  * Split developer docs out into libgimp1.3-doc

 -- Ari Pollak <ari@debian.org>  Tue,  9 Mar 2004 00:17:28 -0500

gimp1.3 (1.3.27+2.0pre4-1) unstable; urgency=low

  * New upstream release
  * fix typo in debian/control (Closes: #230505)
  * Add suggested hotkey to menu file (Closes: #234764)

 -- Ari Pollak <ari@debian.org>  Sat,  6 Mar 2004 17:09:30 -0500

gimp1.3 (1.3.26+2.0pre3-2) unstable; urgency=low

  * Remove gimptool-1.3 alternative on postinst, not prerm (Closes: #232644)
  * Change macro name in nautilus menu entry (Closes: #232678)
  * Include locales in gimp1.3-data (Closes: #233359)

 -- Ari Pollak <ari@debian.org>  Sat, 14 Feb 2004 10:09:43 -0500

gimp1.3 (1.3.26+2.0pre3-1) unstable; urgency=low

  * New upstream release (Closes: #230487)
  * Bring back build-conflict on libgimp1.3, for some reason this started
    being a problem again.

 -- Ari Pollak <ari@debian.org>  Wed,  4 Feb 2004 12:06:51 -0500

gimp1.3 (1.3.25+2.0pre2-1) unstable; urgency=low

  * New upstream release
  * gimptool-1.3 has changed to gimptool-2.0, so alternatives may
    have to be updated.

 -- Ari Pollak <ari@debian.org>  Mon, 19 Jan 2004 20:34:40 -0500

gimp1.3 (1.3.24+2.0pre1-5) unstable; urgency=low

  * Well, that was dumb. Make better shlibs fix. (Closes: #228004)

 -- Ari Pollak <ari@debian.org>  Thu, 15 Jan 2004 22:35:41 -0500

gimp1.3 (1.3.24+2.0pre1-4) unstable; urgency=low

  * Change shlibs to =, not >=. I know it's a little late to make
    this change, but better now so that we know for the next
    development cycle.
  * app/config/gimpguiconfig.c:
        Use sensible-browser, not mozilla, by default. This is actually a
        user-specified preference. (Closes: #227419)
  * Add better error message when documentation is not found

 -- Ari Pollak <ari@debian.org>  Tue, 13 Jan 2004 13:21:47 -0500

gimp1.3 (1.3.24+2.0pre1-3) unstable; urgency=low

  * Add build-depends on intltool

 -- Ari Pollak <ari@debian.org>  Mon, 12 Jan 2004 09:11:56 -0500

gimp1.3 (1.3.24+2.0pre1-2) unstable; urgency=low

  * Also install alternative for gimptool manpage

 -- Ari Pollak <ari@debian.org>  Sun, 11 Jan 2004 23:25:55 -0500

gimp1.3 (1.3.24+2.0pre1-1) unstable; urgency=low

  * The upstream tarball says 2.0pre1, but this is really 1.3.24.
  * Created alternatives for the gimp and gimp1.3 packages.
    The main gimp package has a higher priority than this one.
    Also created alternative for gimptool in the -dev package.
    Also conflict with versions of gimp << 1.2.5-4.
    (Closes: #226277)
  * Pass --enable-fast-install to configure so we don't have to build-conflict
    with libgimp1.3

 -- Ari Pollak <ari@debian.org>  Tue,  7 Jan 2004 22:16:40 -0500

gimp1.3 (1.3.23-2) unstable; urgency=low

  * Add versioned libwmf-dev build-dep, accept NMU (Closes: #225665, #225652)
  * Apply fix from upstream for Script-fu logos (Closes: #224066)

 -- Ari Pollak <ari@debian.org>  Wed, 31 Dec 2003 16:08:55 -0500

gimp1.3 (1.3.23-1) unstable; urgency=low

  * New upstream release (Closes: #221425, #222266)
  * debian/rules:
    - Explicity depend on gtk >= 2.2.2-1
  * debian/control:
    - Add WMF support
  * Update README.Debian

 -- Ari Pollak <ari@debian.org>  Wed, 26 Nov 2003 23:03:19 -0500

gimp1.3 (1.3.22-3) unstable; urgency=low

  * gimp1.3-data replaces and conflicts older versions of gimp1.3.
    really Closes: #219763, #219676, #219721

 -- Ari Pollak <ari@debian.org>  Sun,  9 Nov 2003 15:52:42 -0500

gimp1.3 (1.3.22-2) unstable; urgency=low

  * Rebuild on i386 with _correct_ dependencies
  * Remove /usr/share/gimp/ from gimp1.3.files (Closes: #219676, #219721)

 -- Ari Pollak <ari@debian.org>  Sat,  8 Nov 2003 12:23:05 -0500

gimp1.3 (1.3.22-1) unstable; urgency=low

  * New upstream release (Closes: #208857, #206048, #206838, #215072, 
    #215504, #215735, #216069, #200149)
  * Fix build-deps (Closes: #217535)

 -- Ari Pollak <ari@debian.org>  Tue,  4 Nov 2003 11:35:56 -0500

gimp1.3 (1.3.21-3) unstable; urgency=low

  * Don't suggest removed packages (Closes: #215031)
  * Add libfontconfig1-dev to build-depends
  * Create architecture-independent -data package (Closes: #218777)

 -- Ari Pollak <ari@debian.org>  Thu,  9 Oct 2003 21:08:32 -0400

gimp1.3 (1.3.21-2) unstable; urgency=low

  * Fix some stuff pointed out by Sven Neumann (Closes: #214971):
    - Add build-dep on librsvg2-dev
    - Remove xfonts-100dpi from suggestions

 -- Ari Pollak <ari@debian.org>  Wed,  8 Oct 2003 14:36:40 -0400

gimp1.3 (1.3.21-1) unstable; urgency=low

  * New upstream release (Closes: #210617, #211616)
  * Don't compile on a system with experimenal packages (Closes: #214140)

 -- Ari Pollak <ari@debian.org>  Sun,  5 Oct 2003 20:52:29 -0400

gimp1.3 (1.3.20-2.0.1) unstable; urgency=low

  * Don't compile on a system with experimental packages (Closes: #214140)

 -- Ari Pollak <ari@debian.org>  Sat,  4 Oct 2003 20:12:24 -0400

gimp1.3 (1.3.20-2) unstable; urgency=low

  * Apply patch from Falk Hueffner (Closes: #205889)

 -- Ari Pollak <ari@debian.org>  Fri,  3 Oct 2003 12:33:30 -0400

gimp1.3 (1.3.20-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Mon,  8 Sep 2003 20:13:37 -0400

gimp1.3 (1.3.19-1) unstable; urgency=low

  * New upstream release
  * Improve python policy conformance (Closes: #205280)
  * Bump version requirement on GTK as per upstream changes
  * Update build-depends (Closes: #206666)

 -- Ari Pollak <ari@debian.org>  Thu, 28 Aug 2003 11:40:21 -0400

gimp1.3 (1.3.18-1) unstable; urgency=low

  * New upstream version

 -- Ari Pollak <ari@debian.org>  Sun, 10 Aug 2003 23:44:36 -0400

gimp1.3 (1.3.17-2) unstable; urgency=low

  * Update build-depends
  * Use dh_python
  * Build against libexif9 (Closes: #204742)

 -- Ari Pollak <ari@debian.org>  Fri, 25 Jul 2003 19:53:34 -0400

gimp1.3 (1.3.17-1) unstable; urgency=low

  * New upstream release (Closes: #200023)
    - Also really fixes #198045

 -- Ari Pollak <ari@debian.org>  Thu, 24 Jul 2003 22:10:40 -0400

gimp1.3 (1.3.16-2) unstable; urgency=low

  * Fix saving MNGs (Closes: #198048)

 -- Ari Pollak <ari@debian.org>  Mon,  7 Jul 2003 08:55:43 -0400

gimp1.3 (1.3.16-1) unstable; urgency=low

  * New upstream release (Closes: #160164)
  * gimp1.3-nonfree depends on gimp1.3 (Closes: #198110)
  * Update gimp1.3-nonfree description & copyright to note
    the expiration of the GIF/LZW patent in many countries

 -- Ari Pollak <ari@debian.org>  Fri, 27 Jun 2003 07:56:32 -0400

gimp1.3 (1.3.15-2) unstable; urgency=low

  * Build-depends on libmng-dev (Closes: #197150)

 -- Ari Pollak <ari@debian.org>  Thu, 12 Jun 2003 11:18:56 -0400

gimp1.3 (1.3.15-1) unstable; urgency=low

  * New upstream release (Closes: #196519)
  * Enable python support, which is most likely buggy and unstable
    (Closes: #194627), split off into gimp1.3-python package
  * Replace antiquated prefix= with DESTDIR= in make install
  * Build-Conflict on libgimp1.3 until libtool can be whipped into
    not being so stupid

 -- Ari Pollak <ari@debian.org>  Tue, 10 Jun 2003 08:37:15 -0400

gimp1.3 (1.3.14-1) unstable; urgency=low

  * New upstream release
  * Change section of libgimp1.3-dev to libdevel

 -- Ari Pollak <ari@debian.org>  Mon, 14 Apr 2003 22:56:50 -0400

gimp1.3 (1.3.13-2) unstable; urgency=low

  * libgimp1.3 conflicts with gimp1.3 << 1.3.13-1 (Closes: #186201)

 -- Ari Pollak <ari@debian.org>  Sun, 23 Mar 2003 19:51:51 -0500

gimp1.3 (1.3.13-1) unstable; urgency=low

  * New upstream release (Closes: #184546)
  * Use debian/compat
  * Move gimp14-libgimp.mo locale files into the libgimp1.3 package
  * Clean up debian/copyright
  * Update README.Debian to list things that shouldn't be reported as bugs
  * Really fix the print plugin; My modification made the dither algorithm
    always use the default, this fixes that.
  * Fix libtool stuff again so that libgimp1.3 doesn't depend on [a possibly
    older version of] itself; I'm not sure why this worked in the first place.

 -- Ari Pollak <ari@debian.org>  Sun, 23 Mar 2003 13:21:19 -0500

gimp1.3 (1.3.12-5) unstable; urgency=low

  * Don't stupidly depend on "<< next.version.number." This is what I 
    get for looking at 2-year-old comments in the rules file and 
    thinking they're sane.

 -- Ari Pollak <ari@debian.org>  Mon,  3 Mar 2003 12:35:45 -0500

gimp1.3 (1.3.12-4) unstable; urgency=low

  * Work around weird gimpprint problem with default dither algorithm 
    not being set correctly. Submitted fix upstream, hopefully this is the 
    right way to do it. (Closes: #175068)

 -- Ari Pollak <ari@debian.org>  Sun,  2 Mar 2003 14:29:39 -0500

gimp1.3 (1.3.12-3) unstable; urgency=low

  * Apply patch from upstream CVS (Closes: #182803):
    - tools/pdbgen/pdb/guides.pdb
    - app/pdb/guides_cmds.c: fixed gimp_image_find_next_guide() which
      was broken for the case when the image had no guides at all. Fixes
      the hanging rotate plug-in

 -- Ari Pollak <ari@debian.org>  Sun,  2 Mar 2003 11:18:40 -0500

gimp1.3 (1.3.12-2) unstable; urgency=low

  * Work around libtool crap

 -- Ari Pollak <ari@debian.org>  Sun, 23 Feb 2003 00:08:23 -0500

gimp1.3 (1.3.12-1) unstable; urgency=low

  * New upstream release (Closes: #180918)
  * Revamp debian/rules: clean up lintian warnings, consolidate mucho
    duplicate code, make everything compatible with latest debhelper
  * Apply patch from upstream CVS to fix saving 1-bit PNGs with alpha trans
    (Closes: #179980):
     2003-02-22  Dave Neary  <bolsh@gimp.org>
    - plug-ins/common/png.c: Fixed bug #105360. Previously,
     alpha was taking up an index entry even if there were
     no transparent entries. Sorry about that :)
  * Change wget | wget-ssl to just wget, as there is no longer a seperate -ssl
    package.

 -- Ari Pollak <ari@debian.org>  Sat, 22 Feb 2003 11:40:36 -0500

gimp1.3 (1.3.11-3) unstable; urgency=low

  * Remove recommends of xfonts-75dpi. Looks like it was leftover from 
    GIMP 1.2. (Closes; #180747)
  * Apply patch from CVS to fix compilation on Alpha:
     2003-01-29 Sven Neumann <sven@gimp.org>
     - app/widgets/gimppropwidgets.[ch]: removed unused function
      gimp_prop_enum_option_menu_new_with_values() which caused problems
      on some platforms.
  * Update description
  * Bump Standards-version to .8, no changes necessary

 -- Ari Pollak <ari@debian.org>  Wed, 12 Feb 2003 12:17:43 -0500

gimp1.3 (1.3.11-2) unstable; urgency=low

  * Add libgimpmodule to shlibs.local
  * Hopefully fix a compile error on alpha

 -- Ari Pollak <ari@debian.org>  Sat,  4 Jan 2003 00:13:26 -0500

gimp1.3 (1.3.11-1) unstable; urgency=low

  * New upstream release (Closes: #167995, #174891)
  * PLEASE NOTE: "This release features some incompatible changes to the
    gimprc file format. If you installed earlier versions of the 1.3 series,
    you are advised to remove your ~/.gimp-1.3 directory and do a fresh user
    installation."

 -- Ari Pollak <ari@debian.org>  Fri,  3 Jan 2003 18:35:49 -0500

gimp1.3 (1.3.10-4) unstable; urgency=low

  * Don't have to mark files in /etc explicitly as conffiles, debhelper 
    does that automatically.

 -- Ari Pollak <ari@debian.org>  Sun, 17 Nov 2002 22:08:21 -0500

gimp1.3 (1.3.10-3) unstable; urgency=low

  * Fix gimp1.3.menu entry

 -- Ari Pollak <ari@debian.org>  Sun, 17 Nov 2002 20:47:53 -0500

gimp1.3 (1.3.10-2) unstable; urgency=low

  * Use CFLAGS correctly (Closes: #166410)
  * Bump standards version to 3.5.7, check for debug and noopt in
    DEB_BUILD_OPTIONS

 -- Ari Pollak <ari@debian.org>  Thu, 14 Nov 2002 14:46:17 -0500

gimp1.3 (1.3.10-1) unstable; urgency=low
 
  * New upstream release (Closes: #163371, #161781)
    - These bugs should be fixed now. If not, please reopen the bug.
	  (Closes: #166410, #160986, #167995)
  * Adopted package (Closes: #168365)

 -- Ari Pollak <ari@debian.org>  Mon, 11 Nov 2002 14:39:36 -0500

gimp1.3 (1.3.8-1) unstable; urgency=low

  * New upstream release
  * Add a configure target to the rules and some cleanups

 -- Bastien Nocera <hadess@hadess.net>  Tue, 20 Aug 2002 22:12:40 +0100

gimp1.3 (1.3.7-2) unstable; urgency=low

  * Add .applications and .keys file for nautilus to know about us
    (Closes: #152150)
  * Close bugs from Marcelo's NMU (Closes: #156914, #156280)
  * Suggest gimp-freetype
  * Update README.Debian

 -- Bastien Nocera <hadess@hadess.net>  Sun, 18 Aug 2002 15:28:11 +0100

gimp1.3 (1.3.7-1.1) unstable; urgency=low

  * NMU
  * debian/control: Build-Depend on libpng3-dev, libgtk2.0-dev >= 2.0.6-1;
    modify dependency for libgimp1.3-dev.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 16 Aug 2002 13:54:31 +0200

gimp1.3 (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Do not create a link to gimptool.1 from an inexistant man page
  * Do not conflict with GIMP 1.2 packages, as they're parallel installable
  * Use the same icon in the menu file as in the desktop file

 -- Bastien Nocera <hadess@hadess.net>  Fri, 28 Jun 2002 01:08:35 +0100

gimp1.2 (1.2.3-2) unstable; urgency=MEDIUM

  * Do not include escputil or man pages in gimp1.2 (there is already
    a separate package for that).  No dependancy is needed, since
    the GIMP print plugin does not call escputil directly.
    (Closes: #142013, #141892)
  * Patch url.c (which is a MONSTROUS hack) to deal with the fact that
    wget now outputs a "Resolving host.name.com.... done" line.  This
    throws off the hard-coded parsing function in url.c, and makes it
    impossible to open URL files. (Really fixes #137132).
    Patch is at http://people.debian.org/~che/gimp/url.patch

 -- Ben Gertzfield <che@debian.org>  Wed, 10 Apr 2002 13:51:07 +0900

gimp1.2 (1.2.3-1) unstable; urgency=low

  * New upstream version. (Closes: #140904)
  * Remove TIFF from description of gimp1.2-nonfree. (Closes: #88381)
  * Fixed config.guess upstream (and in NMU).  (Closes: #120875)
  * Change -I/usr/include/gnome-1.0 to be set in environment CFLAGS,
    so I don't have to patch configure.in every time.
  * Upstream now includes symlinks for names gimp -> gimp-1.2, for
    all binaries and man pages, so we do too.
  * gimp1.2 now depends on wget | wget-ssl; cannot open URLs otherwise.
    (Closes: #137132)
  * Include escputil print plug-in utility for cleaning nozzle heads,
    etc. on Epson printers.

 -- Ben Gertzfield <che@debian.org>  Mon,  8 Apr 2002 17:33:25 +0900

gimp1.2 (1.2.2-3) unstable; urgency=low

  * Based on Colin's patch.
  * Make /etc/gimp/1.2/* conffiles (closes: #132167).
  * Adjust libpng2-dev build-dependency so that it definitely won't match
    png3 (not sure if that would affect plugins).
  * Does *not* add libgnome-dev to build-dependencies as Colin's patch
    does.  We need libgtkxmhtml*-dev, *not* libgnome-dev.  I will not
    ever require the massive GNOME libraries to build or run GIMP,
    unless it becomes a GNOME project.  The help browser should build
    fine as long as libgtkxmhtml-dev is installed.
  * Found the above problem -- libgtkxmhtml-dev renamed its include files
    without warning to /usr/include/gnome-1.0/gtk-xmhtml/ for absolutely
    no reason at all which broke GIMP's compilation process.
    Patched configure.in and to always add -I/usr/include/gnome-1.0
    as a quick solution.

 -- Ben Gertzfield <che@debian.org>  Mon, 11 Mar 2002 11:50:37 +0900

gimp1.2 (1.2.2-2.1) unstable; urgency=low

  * NMU
  * rerun libtoolize & aclocal for new arch support.  Closes: #120876

 -- LaMont Jones <lamont@debian.org>  Fri, 23 Nov 2001 20:17:10 -0700

gimp1.2 (1.2.2-2) unstable; urgency=HIGH

  * Sven, who released GIMP 1.2.2, messed up and incremented the soname
    of the library.  This was completely gratuitous and unnecessary for a
    STABLE release, and broke tons of things (libgimp1.2 dependancies,
    SANE, etc.)  So I edited configure.in to change the GIMP_INTERFACE_AGE
    and GIMP_BINARY_AGE to 2 so bring the soname back down to the same as
    1.2.1. (Closes: #103238)

 -- Ben Gertzfield <che@debian.org>  Tue, 21 Aug 2001 12:44:37 +0900

gimp1.2 (1.2.2-1) unstable; urgency=low

  * New upstream version. (Closes: #108760)
  * Add to the front of LD_LIBRARY_PATH, don't clobber it, when
    we need to do a dpkg-shlibdeps for gimp1.2-nonfree. (Closes: #104462)
  * Add Enhances: tages for gimp1.2-perl and gimp1.2-nonfree -> gimp1.2.
  * Up Standards-Version to 3.5.6.

 -- Ben Gertzfield <che@debian.org>  Sat, 18 Aug 2001 12:52:53 +0900

gimp1.2 (1.2.1-4) unstable; urgency=low

  * Change Build-Depends from xpm4g-dev to xlibs-dev. (Closes: #90801)
  * Remove Build-Depends on xlib6g-dev (it's covered by xlibs-dev now.)
  * Add Build-Depends on libtiff3g-dev and gettext. (oops!)
  * Fix typo in debian/rules so man page for gimp-remote gets included.

 -- Ben Gertzfield <che@debian.org>  Fri, 23 Mar 2001 01:50:58 -0800

gimp1.2 (1.2.1-3) unstable; urgency=low

  * Include gimp-remote and gimp-remote.1 man page in gimp1.2 package.
    (Closes: #89996) (Why didn't *I* get bug #90000? :)
  * Recompile so gimptool has the right include paths for glib 1.2.9
    and gtk+ 1.2.9.  (Closes: #90600, #89001)
  * It's weird, but the old building hack I had to set PERL_MM_OPTS
    was working. Evidently not for everyone. Removed quotes.
    (Closes: #90169)

 -- Ben Gertzfield <che@debian.org>  Wed, 21 Mar 2001 11:54:51 -0800

gimp1.2 (1.2.1-2) unstable; urgency=MEDIUM

  * Darn it. The GIMP folks keep the soname of libgimp et al the
    same for the stable releases, but my soname guessing code from
    the 1.1 series thought that it'd follow the minor revision (the last
    1 in 1.2.1) as it did in the 1.1 series.  But in the 1.2 series, the
    soname will always (Manish promises) be 0, so we don't need to
    auto-generate debian/shlibs.local for proper dependancies. This
    makes gimp1.2 depend on libgimp1.2 properly again. (Closes: #88098)
  * This was already fixed (gimp 1.2 does not look for plugins in
    /usr/lib/gimp/1.1/, honestly). (Closes: #80840)
  * Add Replaces: gimp1.1-nonfree (<< 1.1.27-1) to gimp1.2 to make for
    proper upgrades (the tiff plugin moved at that time from nonfree to
    the main package.)  (Closes: #83726)

 -- Ben Gertzfield <che@debian.org>  Thu,  1 Mar 2001 14:40:02 -0800

gimp1.2 (1.2.1-1) unstable; urgency=low

  * New upstream version. (Closes: #87912)
  * Updated to use new Perl building policy; we're using dh_perl for
    some of this, so add Build-Depends on perl (>= 5.6.0-16) and 
    debhelper (>= 3.0.5).
  * Update Build-Depends to specify libglib1.2/libgtk1.2 >= 1.2.8. 
    (Closes: #87046)
  * In README.Debian, mention that gimptool is in libgimp1.2-dev. 
    (Closes: #83501)
  * GIMP saves gif just fine. (Closes: #82369)
  * Evidently large numbers of open files bug fixed upstream.
    (Closes: #81207)
  * Add hint to menu file to put GIMP in "Bitmap" submenu.
    (Closes: #80154)

 -- Ben Gertzfield <che@debian.org>  Tue, 27 Feb 2001 18:40:43 -0800

gimp1.2 (1.2.0-1) unstable; urgency=low

  * We made it!! At long last, we made it. 1.2 is out!

 -- Ben Gertzfield <che@debian.org>  Mon, 25 Dec 2000 12:04:22 -0800

gimp1.1 (1.1.32-1) unstable; urgency=low

  * New upstream version. Closes: #80100
  * (1.1.31 didn't build. I wish people wouldn't submit bug reports
    5 minutes after a new developers'-only version comes out, without
    testing if it even *builds*..)

 -- Ben Gertzfield <che@debian.org>  Fri, 22 Dec 2000 13:05:16 -0800

gimp1.1 (1.1.29-2) unstable; urgency=low

  * Remove dependancy on perl-5.005 that snuck in there when we merged
    the Helix changes. Closes: #77155

 -- Ben Gertzfield <che@debian.org>  Wed, 15 Nov 2000 19:12:40 -0800

gimp1.1 (1.1.29-1) unstable; urgency=low

  * New upstream version.
  * Bugs fixed previously that I forgot to close:
  * Select / By Color doesn't crash. Closes: #62560
  * libgimp1.1-dev Conflicts: with gimp. Closes: #75331
  
 -- Ben Gertzfield <che@debian.org>  Wed,  1 Nov 2000 14:35:01 -0800

gimp1.1 (1.1.28-1) unstable; urgency=low

  * New upstream version. That was quick! /etc and it's patches
    were accepted. (upstream decided to use /etc/gimp/1.1 instead
    of /etc/gimp-1.1. *shrug*

 -- Ben Gertzfield <che@debian.org>  Mon, 16 Oct 2000 22:17:37 -0700

gimp1.1 (1.1.27-1) unstable; urgency=low

  * New upstream version. Closes: #72193, #74115
  * Fixed improper use of "it's" in app/user_install.c. Forwarded
    patch  upstream. Closes: #71521
  * Fixed upstream: installation crash (Closes: #71519)
  * Looked at a lot of the nice changes in the helix gimp1.1 packages
    and applied 'em.
  * IMPORTANT MOVE: I realized that the libgimp1.1.27-style packages
    had to die a flaming horrible death. Moved to libgimp1.1 and
    libgimp1.1-dev package naming style. This has the consequence
    that I've had to make the shlibs file make things compiled against
    libgimp1.1 depend on libgimp1.1 (>= 1.1.27.0), libgimp1.1 (<< 1.1.28).
  * Because of the above, to clean out everyone's systems, I've made
    libgimp1.1 Conflict: with all the old libgimp1.1.xs, and libgimp1.1-dev
    Conflict: with all old libgimp1.1.x-devs. Closes: #62532
  * Move the tiff plug-in to the main gimp package; only the gif
    one uses patented crud any more.
  * Bugs fixed long long ago: lprng moved lpc to /usr/sbin. Closes: #48655
  * script-fu breakage due to not having fonts installed documented
    in README.Debian and dependancies. Closes: #48840, #49003
  * gimp1.1-perl split out long ago. Closes: #53873
  * some Perl bug, fixed upstream long ago: Closes: #54502, #54666, #54668, #54687 
  * Can't reproduce big swapfile loading two pngs in a row. Probably
    fixed upstream. Closes: #56240
  * Can't reproduce crash on 'gimp --no-data -n -b "(gimp-quit 1)"' call,
    there is no -n flag! Closes: #60941
  * No problems loading EPS files whatsoever. Closes: #61536 
  * Old libgimp1.1.x lying around problem cured with new naming
    scheme. Closes: #62532
  * Selection -> By Color does not segfault any more. Closes: #62659
  * Transparency dithering when converting to Indexed has been
    implemented. Closes: #63719
  * xcftopnm is included in gimp1.1-perl now. Closes: #63748, #63502
  * Printing to postscript does not make an 'all black image'.
    Closes: #65378
  * Freshened up README.Debian and lightened dire font warnings.
    Closes: #65664
  * The BMP mentioned in bug #67415 does not crash GIMP. Closes: #67415
  * Faulty order in package build (built gimp1.1 before gimp1.1-perl)
    led some Perl plugins to be included in the gimp1.1 package.
    Fixed. Closes: #67523, #70811
  * User installation crash fixed upstream. Closes: #71519
  * Patched it's typo in installation. Sent patch upstream. Closes: #71521
  * Patched to move all config files to /etc/gimp-1.1/ instead of
    /usr/share/gimp/1.1/ . Sent patch upstream. Closes: #72161
  * GIMP seems to have no problems parsing lpc's output when using
    lprng for me. Closes: #72448
  * gimp-python is maintained separately. Closes: #58548 
  * Moved gimp binary to /usr/bin. This is to follow policy, and
    also fixes a problem with the GIMP Perl module. Closes: #66469
  * Um. Control+mouse button 1 doesn't select; it deselects. This
    is documented. Closes: #65326
  * Yes, gimp1.1 is in the archives for woody. Closes: #61641

 -- Ben Gertzfield <che@debian.org>  Thu, 12 Oct 2000 21:39:45 -0700

gimp1.1 (1.1.24-1) unstable; urgency=low

  * New upstream version. (Sorry for slacking off there.) Closes: #64294
  * Add Build-Depends line. Closes: #62896
  * (Hopefully) add Help support in by installing the new libgtkxmhtml-dev
    package. Yes, this indirectly requires GNOME libraries -- but only
    to build. libgtkxmhtml1 does not require GNOME libraries at run-time,
    so I'm satisfied. Closes: #52634

 -- Ben Gertzfield <che@debian.org>  Thu, 10 Aug 2000 11:15:10 -0700
  
gimp1.1 (1.1.19-1) unstable; urgency=low

  * New upstream version. Please don't let there be any i18n breakage
    this time...
  * To separate the perl plugins, instead of a static list we now
    run 'file' on usr/lib/gimp/1.1/plug-ins/* and any that say
    'perl script' we include in gimp1.1-perl.

 -- Ben Gertzfield <che@debian.org>  Wed,  5 Apr 2000 22:56:19 -0700

gimp1.1 (1.1.18-1) unstable; urgency=low

  * New upstream version. Use CVS po files for i18n to avoid crashes,
    and patch da_DK po file by hand because it's still broken.

 -- Ben Gertzfield <che@debian.org>  Sat,  4 Mar 2000 09:02:08 -0800

gimp1.1 (1.1.17-2) frozen unstable; urgency=low

  * Move gimp-tool into libgimp1.1.17-dev, and make libgimp1.1.17-dev 
    Depend: on libgtk1.2-dev and libglib1.2-dev. Closes: #59057
  * Fixes locale brokenness for it_IT, ru_RU, de_DE. (Updated the po
    files from CVS gimp current as of 27 Feb 2000.) Closes: #58796, #56503,
    #57498, #57403, 

 -- Ben Gertzfield <che@debian.org>  Sun, 27 Feb 2000 10:39:36 -0800

gimp1.1 (1.1.17-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri, 11 Feb 2000 12:29:22 -0800

gimp1.1 (1.1.15-3) frozen unstable; urgency=MEDIUM

  * Fix GIMP crashes by moving Perl-Server plugin out of main
    gimp1.1 package into gimp1.1-perl. Closes: #56237
    (Yes, this must make it into frozen, otherwise gimp1.1 doesn't
     work.)
  * As a consequence of the above, gimp1.1-perl Replaces: gimp1.1 
    (<< 1.1.15-3).
  * Make sure libgimp1.1.15 doesn't include any Perl directories.

 -- Ben Gertzfield <che@debian.org>  Wed, 26 Jan 2000 16:37:41 -0800

gimp1.1 (1.1.15-2) frozen unstable; urgency=MEDIUM

  * Argh. I had messed up the build process and no files actually
    got into gimp1.1-perl. This rebuild must make it into frozen,
  * Make gimp1.1-perl Depend: on gimp1.1 (>= ${Source-Version}) so
    people don't try to install it with a mismatching gimp package.
  * Add Suggests: from gimp1.1 to gimp1.1-perl.
  * To make slink -> potato upgrade easier (read: possible), sprinkle 
    Replaces: liberally around.

 -- Ben Gertzfield <che@debian.org>  Sat, 22 Jan 2000 14:14:56 -0800

gimp1.1 (1.1.15-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards to 3.1.1.1.
  * Move Perl plugins and support into gimp1.1-perl. Closes: #54562
  * Duplicates of bugs closed below. Closes: #53707, #53708, #53873,
    #50678

 -- Ben Gertzfield <che@debian.org>  Sat, 15 Jan 2000 11:16:59 -0800

gimp1.1 (1.1.14-4) unstable; urgency=low

  * Add Conflict: with libgimp-perl (it should be removed from the
    archives sooner or later, though.) Closes: #54212

 -- Ben Gertzfield <che@debian.org>  Thu,  6 Jan 2000 11:26:57 -0800

gimp1.1 (1.1.14-3) unstable; urgency=low

  * Add dependancies on libgtk-perl and pdl. Closes: #53971, #53826
  * Build with perl Image::Magick support. Add dependancy on perlmagick.
  * If anyone thinks any of the above new dependancies (libgtk-perl, pdl,
    perlmagick) should be made into Suggests, let me know. I couldn't
    decide, so went with a Depends to be on the safe side. But, this
    requires about 6 more megs of packages to be installed, so some
    people may not be happy.
  * Patch the stupid Makefile.PL in plug-ins/perl/Makefile.PL to not
    force UNINST=1 on the 'make install'. GRRR!

 -- Ben Gertzfield <che@debian.org>  Wed,  5 Jan 2000 18:08:02 -0800

gimp1.1 (1.1.14-2) unstable; urgency=low

  * Do not include 'perllocal.pod' in install.

 -- Ben Gertzfield <che@debian.org>  Thu, 30 Dec 1999 12:18:17 -0800

gimp1.1 (1.1.14-1) unstable; urgency=low

  * New upstream version.
  * Now includes gimp-perl and the related Perl plugins in the main 
    gimp package. Closes: #34392
  * Still no gimp help browser, as libgtkxmhtml-dev depends on a whole
    slew of GNOME libraries which I am not willing to foist on
    unsuspecting GIMP users.
  * Fixed in earlier releases: Closes: #42096, #42699
   
 -- Ben Gertzfield <che@debian.org>  Fri, 17 Dec 1999 15:03:36 -0800

gimp1.1 (1.1.13-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Fri, 26 Nov 1999 11:13:19 -0800

gimp1.1 (1.1.12-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Thu, 25 Nov 1999 13:16:37 -0800

gimp1.1 (1.1.10-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Wed,  6 Oct 1999 19:17:57 -0700

gimp1.1 (1.1.9-1) unstable; urgency=low

  * New upstream version.
  * Change auto-generation of shlibs file to make things compiled against
    libgimp to depend on (e.g.) >= 1.1.8 instead of >= 1.1.8-1. This
    makes building slink packages with versions like 1.1.8-0slink1
    work.

 -- Ben Gertzfield <che@debian.org>  Fri, 10 Sep 1999 21:27:29 -0700

gimp1.1 (1.1.8-1) unstable; urgency=low

  * New upstream version.
  * Change Recommends: of xfnts-100dpi to a Suggests, as it seems GIMP will
    work without it nowadays.
  * Upstream has restructured /usr/share/gimp and I missed it; that's
    why the help files and tips of the day were missing. 
    (Fixes: #42699, #42096)
  * libgimp1.1.8-dev Depends: on Source-Version of libgimp1.1.8 now.

 -- Ben Gertzfield <che@debian.org>  Tue, 24 Aug 1999 13:46:24 -0700

gimp1.1 (1.1.7-1) unstable; urgency=low

  * New upstream version.
  * Remove dependancy on perl, since it was outdated and I don't
    even include the perl stuff (yet) (Fixes: #41402, #41484)

 -- Ben Gertzfield <che@debian.org>  Sun, 18 Jul 1999 18:09:52 -0700

gimp1.1 (1.1.6-2) unstable; urgency=low

  * Patch for compiling on non-x86 architectures. (Fixes: #39863, #40080)
  * libgimp1.1.6-dev no longer conflicts with libgimp1. (Fixes: #40267)

 -- Ben Gertzfield <che@debian.org>  Thu,  1 Jul 1999 21:13:37 -0700

gimp1.1 (1.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Mon, 14 Jun 1999 22:00:10 -0700

gimp1.1 (1.1.5-1) unstable; urgency=low

  * New upstream version.
  * Make it easier for myself to make new releases by automatically
    generating the shlibs.local file, and other changes to debian/rules

 -- Ben Gertzfield <che@debian.org>  Thu, 13 May 1999 14:16:19 -0700

gimp1.1 (1.1.4-1) unstable; urgency=low

  * New upstream version.
  * The Perl extension won't work until the Debian libgtk-perl package
    is updated. So I'm releasing this without the Perl extension until
    libgtk-perl is recompiled against GTK+ 1.2 and updated from the
    upstream source.

 -- Ben Gertzfield <che@debian.org>  Sun, 11 Apr 1999 14:23:15 -0700

gimp1.1 (1.1.3-2) unstable; urgency=low

  * shlibs.local needed to be bumped to 1.1.3
  * disable perl extension for the time being

 -- Ben Gertzfield <che@debian.org>  Sun, 28 Mar 1999 14:04:30 -0800

gimp1.1 (1.1.3-1) unstable; urgency=low

  * New upstream version.
  * Build with GTK+ 1.2.

 -- Ben Gertzfield <che@debian.org>  Mon, 15 Mar 1999 10:14:32 -0800

gimp1.1 (1.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Thu, 18 Feb 1999 19:19:43 -0800

gimp1.1 (1.1.1-1) unstable; urgency=low

  * New upstream version.
  * Fix menu entry to be package gimp1.1, not gimp. (Fixes: #31796)

 -- Ben Gertzfield <che@debian.org>  Thu, 21 Jan 1999 12:46:10 -0800

gimp1.1 (1.1.0-1) unstable; urgency=low

  * New upstream version; new package name (gimp1.1) to reflect unstable
    release.

 -- Ben Gertzfield <che@debian.org>  Thu, 24 Dec 1998 10:04:44 -0800

gimp (1.0.2-3) frozen unstable; urgency=low

  * Recompile for ncurses 4.2 and related aalib

 -- Ben Gertzfield <che@debian.org>  Mon,  9 Nov 1998 20:29:13 -0800

gimp (1.0.2-2) frozen unstable; urgency=low

  * The gimp package no longer depends explicitly on xfnt{75,100}. I
    downgraded the relationship to a Recommends: and added big fat
    warnings in the README and in the package description.
    Fixes bugs #14600 and #21055. This has been changed because it's
    possible to run GIMP using a remote font server to serve the 75/100dpi
    fonts. However, it's really no big deal to ask for them to be installed
    locally, so the relationship should be Recommends:.
  * The above Recommends: has been changed to xfonts-{75,100}dpi, although
    it's pretty silly that their names were changed without adding a
    Provides:. *grumble*
  * Bumped the version number in the dependancy of gimp on gimp-data-extras
    to (>= 1:1.0.0).
  * libgimp-dev now conflicts with libglib-dev, so people don't try
    compiling plugins when they only have GTK+ 1.1 installed.

 -- Ben Gertzfield <che@debian.org>  Sun, 25 Oct 1998 10:46:23 -0800

gimp (1.0.2-1) unstable; urgency=low

  * New upstream version. This better make it in before the freeze :)

 -- Ben Gertzfield <che@debian.org>  Wed, 14 Oct 1998 22:47:25 -0700

gimp (1.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Sun, 27 Sep 1998 21:37:45 -0700

gimp (1.0.0-1) frozen unstable; urgency=low

  * We made it! All the way to 1.0.0! Huzzah!

 -- Ben Gertzfield <che@debian.org>  Tue,  2 Jun 1998 01:12:27 -0700

gimp (0.99.31-1) frozen unstable; urgency=low

  * New stable upstream version.
  * Now includes man-page for gimptool.

 -- Ben Gertzfield <che@debian.org>  Mon, 18 May 1998 13:18:01 -0700

gimp (0.99.29-2) frozen unstable; urgency=low

  * Added gimptool into package, was accidentally left out previously.

 -- Ben Gertzfield <che@debian.org>  Mon, 11 May 1998 18:13:23 -0700

gimp (0.99.29-1) frozen unstable; urgency=low

  * Yikes! They're still pumping out those upstream versions.
  * For some reason, the xdelta-dev package has disappeared. The
    xdelta plugin has thus been removed.

 -- Ben Gertzfield <che@debian.org>  Tue,  5 May 1998 19:43:35 -0700

gimp (0.99.28-1) frozen unstable; urgency=low

  * Yet another new upstream version.

 -- Ben Gertzfield <che@debian.org>  Tue, 28 Apr 1998 12:54:34 -0700

gimp (0.99.27-1) frozen unstable; urgency=low

  * Gosh, 0.99.26 *wasn't* the last version. :/ Hope they're almost
    done. New upstream version, bug fixes only of course.

 -- Ben Gertzfield <che@debian.org>  Sat, 18 Apr 1998 14:56:21 -0700

gimp (0.99.26-1) frozen unstable; urgency=low

  * Another new upstream version. The GIMP developers are swearing
    up and down that this is the last one before 1.0.. hmm :)
  * This version is supposed to fix the problems with the save/load
    dialog box.

 -- Ben Gertzfield <che@debian.org>  Sun, 12 Apr 1998 01:19:33 -0700

gimp (0.99.24-1) frozen unstable; urgency=low

  * New upstream version.
  * Made sure ChangeLog was installed as changelog.gz; fixes
    lintian errors.
  * Corrected major error in libgimp1's shlibs file.

 -- Ben Gertzfield <che@debian.org>  Wed,  8 Apr 1998 12:58:38 -0700

gimp (0.99.23-1) frozen unstable; urgency=low

  * New upstream version.
  * /usr/lib/libgck.{a,so} were not in the -dev package, moved
    them to the right place.
  * Fixed postinst to test if package is being configured for
    ldconfiggage (Hi again James!)

 -- Ben Gertzfield <che@debian.org>  Sun, 29 Mar 1998 16:12:15 -0800

gimp (0.99.22-2) frozen unstable; urgency=low

  * /usr/share/gimp/gfig/ directory was accidentally left out of -1,
    re-added it.
  * /usr/include/gck/ was accidentally left out of -1's -dev package,
    re-added it.

 -- Ben Gertzfield <che@debian.org>  Mon, 23 Mar 1998 18:32:14 -0800

gimp (0.99.22-1) unstable; urgency=low

  * New upstream version.
  * Replaced libtool with Debian native libtool.

 -- Ben Gertzfield <che@debian.org>  Thu, 19 Mar 1998 23:43:57 -0800

gimp (0.99.21-2) frozen unstable; urgency=medium
  
  * Somehow GIMP didn't get linked with libXi, which MAJORLY broke things.
    Fixed.

 -- Ben Gertzfield <che@debian.org>  Mon, 16 Mar 1998 22:40:36 -0800

gimp (0.99.21-1) unstable; urgency=low

  * New upstream release.

 -- Ben Gertzfield <che@debian.org>  Sun, 15 Mar 1998 10:53:05 -0800

gimp (0.99.20-1) unstable; urgency=low

  * New upstream version.
  * Manpage is now included with upstream source, and included ChangeLog,
    README, and NOTES in /usr/doc/gimp.
  * Patched print plugin to call /usr/sbin/lpc directly instead of
    just lpc.

 -- Ben Gertzfield <che@debian.org>  Fri, 13 Mar 1998 23:20:26 -0800

gimp (0.99.19-2) unstable; urgency=low

  * Rebuild with gtk+-0.99.4-2 to fix shlib dependancies.

 -- Ben Gertzfield <che@debian.org>  Sun,  8 Mar 1998 00:07:11 -0800

gimp (0.99.19-1) unstable; urgency=low

  * New upstream version.
  * Removed dh_du calls to remove lintian errors on du control files.
  * gimp-data-min has been merged in with the main gimp package and
    so is now obsolete.
  * Upgraded Standards-Version to 2.4.0.0.
  * Made copyrights correct for libgimp and gimp-nonfree.

 -- Ben Gertzfield <che@debian.org>  Mon,  2 Mar 1998 13:38:09 -0800

gimp (0.99.18-2) unstable; urgency=low

  * Moved gimp binary back into /usr/X11R6/bin, made menu entry
    properly reflect this change. Fixes bug #17554.

 -- Ben Gertzfield <che@debian.org>  Tue, 27 Jan 1998 16:28:54 -0800

gimp (0.99.18-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Mon, 26 Jan 1998 11:15:12 -0800

gimp (0.99.17-3) unstable; urgency=low

  * The menu file was accidentally left out of the package; fixed.
  * The /usr/doc/gimp/README.debian was also added back into the package.

 -- Ben Gertzfield <che@debian.org>  Tue,  6 Jan 1998 15:27:36 -0800

gimp (0.99.17-2) unstable; urgency=low

  * Recompiled because of shlibs file error in libgtk1 0.99.2-1,
    now depends on libgtk1 (>=1:0.99.2) instead of just libgtk1.

 -- Ben Gertzfield <che@debian.org>  Mon,  5 Jan 1998 12:38:11 -0800

gimp (0.99.17-1) unstable; urgency=low

  * New upstream version.

 -- Ben Gertzfield <che@debian.org>  Sun,  4 Jan 1998 00:36:42 -0800

gimp (0.99.16-2) unstable; urgency=low

  * libgimp-dev did not conflict with and replace gimp-dev; fixed.
  * Really used pristine upstream source.

 -- Ben Gertzfield <che@debian.org>  Mon, 29 Dec 1997 13:14:59 -0800

gimp (0.99.16-1) unstable; urgency=low

  * New upstream version.
  * Converted to use debhelper.
  * Split off libgimp package.

 -- Ben Gertzfield <che@debian.org>  Mon, 15 Dec 1997 14:00:19 -0800

gimp (0.99.14-1) unstable; urgency=low

  * New upstream version.
  * Linked with all libc6 libraries, fixes bug #13505.
  * Fixed dumb dependancy error. Fixes bug #13324.
  * Put header files in the absolutely proper place. Fixes bug #13247.
  * Split off libgtk1 et al from the source package.
  * Upgraded to Standards-Version 2.3.0.0.

 -- Ben Gertzfield <che@debian.org>  Wed, 15 Oct 1997 15:49:03 -0700

gimp (0.99.10pre11-1) unstable; urgency=low

  * New upstream version.
  * Recompiled with libc6 X libraries.
  * Removed XInput support, because it depends on XFree86 3.1.1,
    which hasn't been made into a Debian package yet.

 -- Ben Gertzfield <che@debian.org>  Sat, 13 Sep 1997 16:28:38 -0700

gimp (0.99.10-3) unstable; urgency=low

  * Applied more patches. GIMP now has XInput (tablet pressure/tilt)
    extensions! 

 -- Ben Gertzfield <che@debian.org>  Sat, 16 Aug 1997 17:55:10 -0500

gimp (0.99.10-2) unstable; urgency=low

  * Removed empty documentation files; fixes bug #11491.
  * Fixed symbolic links for shared libraries (added links to libname.so in
    -dev packages)
  * Changed shlibs for libgtk to use = instead of >=; fixes bug #11492
  * Applied patches from http://copper.ucs.indiana.edu/~sgoehrin/gimp/patches/
  
 -- Ben Gertzfield <che@imsa.edu>  Tue, 29 Jul 1997 19:33:41 -0500

gimp (0.99.10-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Uses the new gtk and gdk libraries instead of Motif.
  * Split into gimp, gimp-dev, libgtk, libgtk-dev, gimp-data, and gimp-nonfree.

 -- Ben Gertzfield <che@imsa.edu>  Tue, 22 Jul 1997 20:53:20 -0500

gimp (0.54.1-6) unstable; urgency=low

  * Fixed menu problem.
  * Fixed problem with simultaneous gimp-plugins install.
  * Added minimal man page.
  * Killed README.debian (copyright already had the info).

 -- Rob Browning <osiris@cs.utexas.edu>  Sun, 13 Apr 1997 20:49:59 -0500

gimp (0.54.1-5) unstable; urgency=low

  * added new gimprc parsing.
  * moved /etc/gimprc to /etc/gimp/gimprc 

 -- Rob Browning <osiris@cs.utexas.edu>  Sun, 2 Feb 1997 03:08:03 -0600

gimp (0.54.1-4) unstable; urgency=low

  * Change to new packaging standards.
  * Added X menu entry.
  * Fixed config file placement and loading (bug #4303)
  * Fixed dependencies (bug #6691)

 -- Rob Browning <osiris@cs.utexas.edu>  Mon, 27 Jan 1997 01:04:31 -0600